NintendoWare for Revolution NW4R LayoutEditor

NintendoWare for Revolution
NW4R LayoutEditor
Version 2.5.3
2009/04/03

Confidential

This document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced, in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.

This document contains proprietary information. Please take strict measures to keep this information secret.

© 2006-2009 Nintendo. All rights reserved.
RVL-06-0137-001-M

Microsoft Internet Explorer 5.0 or later is recommended.


Revision History

The asterisk symbol (*) is the link to the pertinent page.

Version 2.5.3 2009/04/03

Expanded Features

  • None.

Bug Fixes

  • Corrected the spelling of the folders created by the Co-locate Textures and Fonts feature.
  • When real number values were entered for Extended User Data, they were rounded to the 2nd significant digit. This behavior has been corrected so that now everything up to the 7th significant digit is saved.
  • Fixed a bug that prevented the tool from operating when a DirectX debug runtime was being used.
  • Changed the PE Multiply Setting's preset value.
    The expression itself was not incorrect, but the change helps avoid any slight darkening of the color of the blend result due to calculation errors.

            Old expression:  (Pixel Color x eFB Color) + (eFB Color x 0)
        New expression: (Pixel Color x 0) + (eFB Color x Pixel Color)
  • Corrected a problem where in some cases European characters were handled incorrectly when processing recently used files.

Currently Known Bugs

  • When a link specification is set recursively in an animation segment tag and a group that includes panes with a parent-child relationship is specified as the target group, the created data may not link correctly. (A warning is displayed when such data is converted; for example when it is previewed.)
  • The Font file path cannot be reset. To reset the path, you must open the RLYT file with a text editor and explicitly rewrite the font data path.

Version 2.5.2 2008/11/21

Expanded Features

  • Resetting the IME-enabled state for Japanese-language input no longer causes the Hand Move mode to unexpectedly stop working.

Bug Fixes

  • Fixed a bug that would on rare occasions cause initialization to fail and an X to be displayed in the window when a layout file was opened.
  • Double-clicking on the title bar in various tool windows disabled the process to maximize the widow.
  • When multiple panes were selected, the selection rectangle would be inaccurately rendered. That has been fixed.
  • Using the mouse to adjust the size of a small pane did not work properly. That has been fixed.
  • Revised the behavior when multiple selections are made in Tree View, and the color of the selected nodes.

Currently Known Bugs

  • When a link specification is set recursively in the Animation Interval tag and a group that includes panes with a parent-child relationship is specified as the target group, the created data may not link correctly. (A warning is displayed when such data is previewed and converted.)
  • The Font file path cannot be reconfigured. To reconfigure the path, open the RLYT file with a text editor and revise the data for the font.
  • When operating in DirectX drawing mode, if the DirectX runtime library is set to the Debug version DLL, the tool will not work. Use the Retail version of the DLL.
    You can change the setting using the DirectX Control Panel tool that comes bundled with the DirectXSDK.

Version 2.5.1 2008/08/22

Expanded Features

  • Abolished the process by which double-clicking the title bar of the sub-window decreased the size of the window.
  • When an unusually large value or any other illegal value is entered in the Property Window, the display is not updated. This change was effected to ensure that values get set within a limited range.
  • Specifications have been changed so that you can select whether to process fixed key frames outside the animation segment during binary file output or have the tool itself (compatible operation with past versions) perform processing.[*]
  • When executing binary output features, the output binary file is now always updated, even when the conversion source layout has not been updated. (The /u option is no longer specified in the binary converter.)

Bug Fixes

  • Fixed a bug that caused the tool to exit abnormally when the editing layout was switched while multiple layouts were being edited simultaneously (the bug often occurred when the layouts being switched had almost identical texture list content).
  • Fixed a bug that would on rare occasions cause initialization to fail and an 'X' to be displayed in the window when a layout file was opened.
  • When an application was started, the window position and size were not saved correctly from the last time the application ended. That bug has been fixed.
  • When texture files that differed only in terms of uppercase and lowercase were used for layout data, the fact that the textures were the same was not correctly determined, and they would be handled as different textures. During previewing and other times, data conversion would fail.
  • In certain instances, the application would launch repeatedly. That bug has been fixed.
  • The paste operation with texture SRT animations did not operate correctly with pane information paste controls. That bug has been fixed.
  • When texture SRT animation paste operations where performed with pane information paste controls, the texture matrix of the paste target pane would not display on the Curve Editor if the display setting was set to Show Only Valid Items. That bug has been fixed.
  • If the Animation Interval tag's import feature loaded a duplicate of what already existed for a tag interval, the reading process would abort on an error. That bug has been fixed.
  • When a group name was changed by label editing in the Group window, the Tree View would scroll unnaturally. That bug has been fixed.

Currently Known Bugs

  • When a link specification is set recursively in the Animation Interval tag and a group that includes panes with a parent-child relationship is specified as the target group, the created data may not be able to link correctly. (A warning displays when such data are previewed and converted.)
  • The Font file path cannot be reconfigured. To reconfigure the path, you need to open the rlyt file with a text editor and directly revise the path for the font data.

Version 2.4.2 2008/05/16

Expanded Features

  • None.

Bug Fixes

  • Improved unnatural mouse scrolling motions for selecting and editing nodes in the Hierarchy and Group windows.
  • Added information about problems with IntelliPoint compatibility when using LayoutEditor in DirectX mode.

Version 2.4.1 2008/04/03

Expanded Features

  • None.

Bug Fixes

  • Added notes about the eye and lock icons to the Help manual.
  • To the Help manual, added a description of the Display/Hide flag.
  • Corrected a problem where the feature for suppressing duplicate error message reports could not be used.
  • Corrected a problem where the border line would be drawn incorrectly when a window pane was drawn, even if a specification was given to not draw a border.
  • Corrected a problem where Undo and Redo would not function correctly when extended user information for a pane was changed.
  • Fixed a Curve Editor bug in which a key adjusted with the Adjust Time Scale feature would not be processed properly if it was set to the same time as an existing key.
  • Changed additional key frame selection so that the selection status of the added keys is inverted (this is now standardized with layout window processing).

Version 2.3.2 2007/12/19

Expanded Features

  • None.

Bug Fixes

  • Fixed a bug where the prior output target path was not correctly remembered in the binary output feature.

Version 2.3.1 2007/11/16

Expanded Features

  • In the Layout window, changed the zoom in/out command shortcut keys to CTRL+ALT+PLUS SIGN and CTRL+ALT+MINUS SIGN (formerly CTRL+SHIFT+PLUS SIGN and CTRL+SHIFT+MINUS SIGN, respectively).

Bug Fixes

  • The Tool window's snap-to process was always operating in the Properties window. That bug has been eliminated.
  • When the Tool window's snap-to process was enabled, the window could not be moved outside of the desktop region. That bug has been eliminated.
  • In the Curve Editor window, when the Filter by Key frame feature was toggled on/off, the item being edited would not update correctly. That bug has been eliminated.
  • When operating in GDI rendering mode, character strings for debugging would not draw to the Layout window. That bug has been eliminated.
  • In the Layout environment settings, when the grid for display in the layout was set to a size of less than 1.0 the tool would crash. That bug has been eliminated.
  • Group settings features related to the Animation Segment tag did not operate correctly. That bug has been eliminated.
  • Implemented a feature to select texture with the DEL key in the Texture window.
  • In the Layout window, when dragging with the mouse to resize the pane, use of the Shift key did not work properly to change the size in the X and Y directions simultaneously. That has been fixed.
  • When a negative number was specified for the width size in the Text Box pane, the text linefeed was not calculated correctly, and the process would crash. That has been fixed.

Version 2.3.0 2007/10/23

Expanded Features

  • Implemented a feature to automatically align sub-windows when they are moved or resized to windows or the edge of the screen.
  • Changed the status bar to display the log when a file is loaded.
  • Implemented a feature to edit pane parameters by dragging the control points that appear during pane selection in the Layout window.
  • Added the Line Alignment Position parameter to the Text Box pane.
  • Implemented a feature to control how display targets are updated in the Curve Editor window.
  • Updated the Animation Segment Tags window overall.
  • Implemented a feature in the Curve Editor window to configure the amount by which the arrow key adjusts the selected key.
  • Implemented a feature in the Curve Editor window that filters the items to be edited and makes it easy to select the intended items.
  • Changed the default value for the loop type in animation segment tags to OneTime.
  • Extended user data (any string, integer, or floating-point number) can now be configured from the Properties window.
  • The material to edit in the Properties window can now be switched by clicking on a portion of the selected window pane in the layout window. This feature has made it easy to edit window pane materials.
  • Implemented a feature to aggregate layout reference resources (textures and fonts) and change the paths all at once.
  • Added the Color Sample window to the sub-windows.
    Values can now be set and copied using drag-and-drop operations between the Color Sample window and each type of color configuration item.
  • Added the Animation Sharing Information window to the sub-windows.

Bug Fixes

  • Fixed a bug in the Layout window that occurred when the active window changed while pressing the CTRL key and toggling the operation mode that specified whether or not to apply a parent's parallel translation operations to its children; when the CTRL key was released, the operation mode was not restored.
  • Fixed a bug that reset scrolling when the order of the texture pattern list was changed in the Texture page of the Properties window.
  • Fixed a bug in which it was impossible to change the segment tag names correctly by editing labels in the tree view of the Edit Animation Segment Tags window.
  • Corrected a bug in which operations such as the deletion of textures would not function properly, and list view items relating to textures with the same names would not be updated properly when performing operations such as switching edit layouts.
  • Fixed a bug that prevented the Recently Used Files menu item from being updated properly when files existed having identical names and differing extensions.
  • Fixed a bug during node range selection using the SHIFT key in the Hierarchy or Group window that prevented the proper selection of nodes outside of the window display range.
  • Fixed a bug that prevented texture pattern animations from being saved when the number of textures registered in the texture pattern list was incorrect with respect to the animations.

Version 2.0.2 2007/08/28

Expanded Features

  • Implemented a feature to automatically align sub-windows when they are moved or resized to windows or the edge of the screen.

Bug Fixes

  • Fixed a problem wherein some sub-windows would not be correctly initialized when starting with the layout loaded from command-line arguments.

Version 2.0.1 2007/07/17

Expanded Features

  • Implemented functionality that allows the layout window's rendering mode to be configured from Menu -> Tool Environment Settings.
  • A feature has been added for generating picture panes to make texture pattern animations from serial TGA files.
  • A feature has been added for specifying that the display of similar messages be suppressed on the error notification dialog box displayed by the Layout window.
  • A "select single foreground" and "select single background" feature has been implemented.
  • Support for rendering using DirectX on the Layout window has been added.To use this feature, DirectX 9.0c runtime must be installed. If DirectX cannot be used, rendering almost entirely equivalent to the past will be performed.
  • The GUI for editing pane vertex colors has been updated.
  • Preset types have been added to the material PE setting page of the Properties window.
  • The display mode (such as lock and hide) of the pane on the Group window and Parent-Child Hierarchy window can now be controlled using icons.
  • The following changes have been made for the editing of identical files.
    If you attempt to open an identical layout more than once inside the tool, the window already open will be displayed.
    If a LayoutEditor-associated file has been launched by double-clicking, duplicate instances cannot be launched.
  • The item "Recently Used Files" has been added to the File menu.
    This allows the files being edited at the time of the last exit to be opened easily.
    While this feature has been added, the feature for automatically opening the files that were being edited at the time of last exit has been removed.
  • Added a feature that also pastes animations held by panes when panes are copied and pasted. This can be set by selecting Edit > Copy/paste animation.
  • A feature has been added to copy and paste multiple Curve Editor window attributes at the same time.
  • Support has been added for edits made using copy/paste on the Group window and the Parent-Child Hierarchy window.
  • When editing multiple layouts, attributes such as font and texture are now automatically copied when copy or pasting between different layouts.
  • A feature has been added for editing the scale of selected keys by pressing the T key after a key frame has been selected on the Curve Editor window.
  • A feature has been added for editing the scale of a key frame using the adjustment dialog displayed by selecting Curve editor menu > Edit > Adjust time scale.
  • A feature has been added for inputting and outputting tag interval XML files on the Edit Animation Section Tags window.
  • It is now possible to use the undo/redo feature for most operations.
  • A scale item has been added to the pane base group of the Pane Pasting Control window.
  • Status of the combo box for selecting images and materials being edited on the Properties window or window pane page is now saved even when selected pane is changed.

Bug Fixes

  • Corrected a bug in the Curve Editor that caused rendering of graph edits to be displayed broken.
  • Corrected a bug that caused the tool, used in the GDI rendering mode, to exit abnormally if a layout that included a window pane was loaded.
  • Fixed a bug that caused the check display status of the layout window's View menu item to not be updated correctly.
  • Fixed a bug that caused key frames to be partially copied in error, even if Edit -> Copy/paste animation was specified to be disabled.
  • Fixed a bug in the Curve Editor window that allowed multiple key frames to be placed at the same time position, which is an illegal operation.
  • Fixed a bug in the Layout window that caused the transparent portion of a pane using the I4 or I8 format texture to be displayed incorrectly.
  • Fixed the following bug: Direct3D-related resources were not correctly destroyed, causing the tool to exit abnormally.
  • Fixed the following bug: When a font file with read-only attributes specified was used, it would fail in preview.
  • Fixed the following bug: Control ("^") characters in the text box pane were not reflected in rendering the Layout window.
  • Fixed a bug in the Pane Information Paste Control window, where pasting material color animations would be performed on the wrong target.
  • Fixed the following bug: Transparent animations could not be applied to panes of different types on the Pane Information Paste Control window.
  • Fixed the following bug: A window would be incorrectly judged as an illegal window if a non-square texture was used for a four-corner texture on the window pane.
  • Fixed the following bug: A window would be incorrectly judged as an illegal window if a non-square texture was used for a four-corner texture on the window pane.
  • Fixed the following bug: Execution would terminate if the Layout window size was made smaller.
  • Fixed the following bug: When creating a new group, the tool would exit on an error without correctly executing a cancel or redo operation.
  • Fixed the following bug: The initial position was always set to the coordinate origin when a pane was generated from the context menu.
  • Fixed the following bug: The tool would fail to update the last access time and illegally exit when a read-only attribute file was opened.
  • Fixed the following bug: Thumbnails on the texture window would not be displayed correctly after registering or deleting files.
  • Fixed the following bug: Files were being put into update status even if a texture box pane or picture pane page on the Properties window was merely being opened.
  • Fixed the following bug: Panes were being deleted if the Delete key was pressed while editing labels on the Hierarchy window or Group window.
  • Fixed the following bug: Previews launched with the F5 key would not run when the Properties window was the active window.
  • Fixed the following bug: The character spacing item check was always enabled on the Pane Information Paste Control window.
  • Fixed the following bug: The Properties window display was not updated correctly when changing the selected pane during window pane editing.
  • Fixed the following bug: The display was not being updated when two or more key frames have been attached to the same location in time on the Curve Editor window.
  • Fixed the following bug: Register color animations of TEV Constant Register 2 were not being saved correctly.
  • Corrected the following problem: The register color animation would not save properly for the TEV color register 2 and the TEV constant registers 0, 1, and 2. This problem occurred when an animation was pasted from the Pane Information Paste Control window.
  • Fixed the following bug: Operations on a key frame were being applied twice when an attribute with child elements was selected on the attribute tree of the Curve Editor window.
  • Fixed the following bug: Operations for moving the selected pane on the Layout window using the up/down/left/right keys were not working correctly.
  • Fixed the following bug: Windows could not be activated while the Properties window was displayed.

Version 1.4.6 2007/03/16

Expanded Features

  • Made the following revision: The edited state of the layout window is saved when exiting LayoutEditor.
  • Enabled the selection of multiple items in the Group window.
  • Made the following change: The elements corresponding to the selected panes are highlighted in the Group window.
  • Made it possible to edit in the Group window by dragging and dropping trees.
  • Standardized the actions of all the parts in the tree view (groups, parent-child hierarchies, animation attributes, and so on).
  • Made it possible to change the selected elements with the arrow keys for all the parts in the tree view.
  • Implemented the option for editing names of elements by clicking the selected elements in the Parent-Child Hierarchy and Group windows.
  • Enabled the display of an invalid texture when loading the layouts that include texture images with missing links.
    Doing so makes it easier to change links for the texture image files.
  • Made the following change: all target text is selected when using the TAB key to change the focus in the Properties window and other windows.
  • Made the following change: Specified screen sizes are saved.
    Previous application settings files cannot be used.
    Make sure to delete the setting.xml file in the same folder as LayoutEditor.exe.
  • Modified to save the Properties window position.
  • Made the following change: The texture and font files will be checked for any characters that the run-time library cannot handle. If such characters are found, a warning will be issued.
  • Implemented a feature for editing, with the help of the arrow keys, the selected key frames in the Curve Editor window.
  • In the Curve Editor window, implemented the selection of the method for pasting copied key frames (Edit > Paste Clipboard Contents with Relative Values).
  • Improved the display quality for the thumbnail images in the Textures window.
  • Made the following change: A check will be run for any filename characters that the run-time library cannot handle. If such characters are found, a warning will be issued when saving data.

Bug Fixes

  • Fixed the following bug: Textures with broken links disappeared from the texture list.
  • Fixed the following bug: The tree view would not scroll correctly when attempting to drag within different tree display areas.
  • Fixed the following bug: Group names that had been changed to invalid names in the Group window would be forcibly changed to the specified group names.
  • Fixed the following bug: When using the Open Additional command, the layout name would be changed to the name of the additional opened file.
  • Made modifications to prevent the Group window from being redrawn more than needed.
  • Fixed the following bug: The system would crash when the Textures window was displayed for the first time.
  • Fixed the following bug: Failed to load animation data with multiple key frames set for the same time frame.
  • Fixed the following bug: When the Update to Most Recent Status feature was used in the Textures window, format settings would be reset.
  • Fixed the following bug: The Release Right/Left Slope Synchronization feature did not work correctly in the Curve Editor window.
  • Fixed the following bug: When editing in the Curve Editor window, file-editing state was not updated correctly in the Layout window.
  • Fixed the following bug: When creating a new layout, the Layout window size was not set correctly.
  • Fixed the following bug: As the user named the newly created animation file (rlan) when trying to save it for the first time, the slope type of the animation curves did not save correctly.

Currently Known Bugs

  • Operations that change the UV coordinates of a picture pane, etc. are not reflected correctly in the drawing on the tool. (Viewer output and output data can be handled without problem.)
  • Changes made in a window pane are not reflected correctly in the drawing on the tool. (Viewer output and output data can be handled without problem.)
  • There may be times when the text and screenshots within the help files differ from what is actually on screen.

Version 1.3.2 2007/02/01

Bug Fixes

  • Fixed the bug that caused the preview feature of the Animation Segment Tag to operate incorrectly.

    • Currently Known Bugs

    • Operations that change the UV coordinates of a picture pane, etc. are not reflected correctly in the drawing on the tool. (Viewer output and output data can be handled without problem.)
    • Changes made in a window pane are not reflected correctly in the drawing on the tool. (Viewer output and output data can be handled without problem.)

Version 1.3.1 2007/01/26

Expanded Features

  • Added support for NW4R TGA (TGA with additional information).
    NW4R TGA also enabled the use of textures in color index format.
    When using NW4R TGA, it is necessary to update Viewer, the run-time libraries, and Binary Converter to the same supported version.
  • Added support for loading files by dragging and dropping rlyt and rlan files.
  • When editing multiple layouts at the same time, decreased the amount of memory used when using font resources.

Bug Fixes

  • Fixed a bug that TGA images for which the flip flag was specified are not drawn correctly in the tool.
  • Fixed a bug in which textures whose names included "." (dot) were not processed correctly.
  • Fixed a bug in which the string position parameter of the text box pane was not correctly applied to drawing in the tool.
  • Fixed a bug in which the function for toggling the parallel translation operation mode between parent-child panes using the CTRL key did not function correctly if the user switched active windows.
  • Fixed the following bug: The tool would crash when saving the layout files (rlyt) containing read-only attributes.
  • Fixed a bug in which files which were loaded by double-clicking a file associated with the tool were not saved correctly.

Version 1.2.9 2006/12/04

Expanded Features

  • None.

Bug Fixes

  • A problem was corrected where the vertical flip flag in TGA files was not being interpreted correctly.

Version 1.2.8 2006/11/10

Expanded Features

  • None.

Bug Fixes

  • A problem was corrected where animation keys for TEV Constant Register 0 and TEV Constant Register 1 would not load.
    However, the registers described above are not used under typical conditions of use of the layout library.
    This has no impact unless the above registers are being used with detailed material settings.

Version 1.2.7 2006/10/30

Expanded Features

  • Lengthened the duration of the Convert execution timeout when outputting the binary file.
    In addition, made it possible to specify the duration of the timeout (in milliseconds) in the Tool Environment Settings file that gets created in the same folder as the LayoutEditor executable binary (LayoutEditor.exe).

Bug Fixes

  • Fixed the following bug: the system would crash when the user attempted to change the selected Texture window items.
  • A problem was corrected where operations on a child pane whose parent's scale value is zero were not being executed correctly.
  • Changed the process so that, when data with an illegal animation frame range are loaded, the values are now corrected automatically for loading.
  • Corrected the problem that resulted in incorrect updating of the display of nodes that were referenced by shared attributes, such as texture blend ratio and TEV constant registers.

Version 1.2.3 2006/09/20

Expanded Features

  • None.

Bug Fixes

  • A problem was corrected where operations on a child pane whose parent's scale value is zero were not being executed correctly.
  • Fixed the following bug: the system would crash with the attempt to use the Pane Information Paste Control window.
  • Important: A problem was corrected where visibility animations were not being loaded correctly when saved under a version of LayoutEditor newer than version 1.1.5.
  • A problem was corrected where repeating areas outside the animation curve key frame segment that use step format keys were not being drawn correctly.

Version 1.2.0 2006/09/07

Expanded Features

  • Added the Pane Search window.
  • Added a feature to the Object menu for editing the group information of the selected pane.
  • The operation settings that affect the parent-child relationship when adjusting position are now valid even when values are changed in the Properties window.
  • Added a CTRL-key toggle feature for operations that affect the parent-child relationship when adjusting the pane position with the mouse.
  • Made overall changes to the Curve Editor window.
  • Added a feature to the Curve Editor window that displays the corresponding attribute tree items when a key frame is selected.
  • Added a feature to the Curve Editor window that displays only valid edit items.
  • Made it possible to set the slope type for the animation key in the Curve Editor window.
    Data created with earlier versions are loaded in the non-configured state.
    Unless a new slope type is set, this has no effect on the data.
  • Added a feature in the Texture window to reconfigure the texture file reference path.
  • Added a feature to replicate the material information in the frame portion of the window pane.
  • Made it possible to select multiple items at the same time in the Parent/Child Hierarchy window.
  • Added a feature to update the selection state in the Parent/Child Hierarchy window when a pane is selected in the Layout window.
  • Added a feature to switch the order around for segment tags in the Animation Segment Tags window (Tag Edit window).
  • Added a feature in the Animation Segment Tags window to change the frame value for all segment tags at once.
  • Added a feature in the Animation Segment Tags window to restore the selected tag segment to its prior state after setting it to the animation playback segment.
  • Added support for use of the new brfna (archive) font format.

Bug Fixes

  • In the TEV Stage page of the Properties window, there was a mistake in the description of choices of comparison methods in the Compare Mode part of the Stage settings. This been corrected as follows.
    Incorrect: "... if not, then output C ...." => Correct: "... if not, then output D ...."
  • When editing multiple layouts at the same time, the operations to select unused textures and delete selected textures in the Texture window did not work properly. That problem has been corrected.
  • Fixed the following bug: the system would crash when a texture in the Texture window was updated to the newest state.
  • The snap-to-grid feature did not work correctly if the scale value was changed for a pane in the parent pane hierarchy. That problem has been corrected.
  • Fixed the following bug: The system would crash when the TAB key in the Register New Tag dialog box (accessed from the Animation Segment Tags window) was used to move the character input focus.
  • The value used for the provisional text size in the text box pane was a value that is affected by the character filter involved in the creation of a brfnt file. This value has been changed to one that is not affected by the character filter. The change has no impact on past data or on the output result of that data.

Version 1.0.6 2006/08/17

  • The snap-to-grid feature did not work correctly if the scale value was changed for a pane in the parent pane hierarchy. That problem has been corrected.
  • Added one set of sample demo data.

Version 1.0.5 2006/08/07

  • Fixed the following bug: When performing operations such as copy and paste, a pane was generated with a name that exceeded the allowed maximum number of characters.
  • Fixed the following bug: The font was drawn on the tool with a smaller than the actual size.
  • A problem was corrected where the safe frame color for the tool environment setting was not being saved correctly.
  • A problem was corrected where the Edit Animation Segment Tags window was not being updated correctly when an animation was loaded using the "Additionally open" command.
  • A problem was corrected where the slope information of the animation key was not being pasted correctly when pasting an animation from the Pane Information Paste Control window.

Version 1.0.2 2006/07/14

  • CMPR (S3TC) has been added to the output format type for 24-bit TGA files.
  • The size of the Edit Animation Segment Tags window can now be varied.
  • A problem was corrected where execution would end on an error when the font was changed on a text box pane.
  • A problem was corrected where texture and font data including the plus symbol (+) character in its folder path was not being saved or previewed correctly.
  • Fixed the following bug: a TGA file with a read-only attribute would not load.
  • A problem was corrected where the animation in TEV Color Register 2 was not being loaded correctly.

Version 1.0.0 2006/07/04

  • Initial version.

CONFIDENTIAL


Introduction

This documentation describes the use of NW4R LayoutEditor (or more simply, LayoutEditor). When using LayoutEditor, please refer to this documentation.

Notation Used in This Documentation

This section describes notation used in this documentation.

Menu Notation

Menus and menu items are written like this: Menu Name → Menu Item.
For example, to indicate the Open item on the File menu, we would write: File -> Open.

Key Binding Notation

Key bindings that use multiple keys at the same time are written using a plus sign (+).
For example, "Ctrl+S" indicates that you press the S key while holding down the CTRL key.

NintendoWare Installation Folder

The folder in which NintendoWare is installed is written as "$(NintendoWare_Root)".

LayoutEditor Installation Folder

The folder in which LayoutEditor is installed is written as "$(LayoutEditor_Root)".

Sample Data

Sample data referred to in this description is stored in the folder $(LayoutEditor_Root)/sample.

Operating Environment

.NET Framework

To launch LayoutEditor, the Microsoft .NET Framework version 2.0 is required.
Note: We cannot guarantee operations for versions of the .NET Framework other than 2.0.

DirectX End-User Runtime

LayoutEditor uses DirectX for rendering the Layout window. Although this will operate in an environment in which DirectX is not installed, parameters such as texture mapping and vertex colors cannot be properly verified in the Layout window. For this reason, we recommend that you install the DirectX End-User Runtime. LayoutEditor has been confirmed to work with Microsoft DirectX 9.0c (June 2007). For this reason, we recommend that you install a DirectX version newer than 9.0c (June 2007).

Download and install the DirectX End-User Runtime from one of the sites listed below:

Download site for DirectX End-User Runtime
Language | URL
Japanese site | http://www.microsoft.com/japan/msdn/directx/downloads.aspx
English site | http://msdn.microsoft.com/directx/sdk/default.aspx

Font Converter

The font converter must be installed in order to use the text box pane (text string) layout feature.


Overview

LayoutEditor is a Windows application for editing 2D layouts of the type used for game title screens and menu screens under NintendoWare for Revolution (referred to in the documentation as NintendoWare). Here we provide an overview of LayoutEditor and describe its main features.

About LayoutEditor

LayoutEditor allows you to load image files and create and edit 2D layout screens. Various animation effects can also be applied to the layout data created. Created data can be previewed using the Viewer that runs on the Wii console.

Positioning of LayoutEditor

The following figure shows the positioning of LayoutEditor, its relationship with other tools, and the data flow within NintendoWare.
Data Flow

LayoutEditor Features

Main Features and Characteristics

The main features and characteristics of LayoutEditor are shown below.

Loading and laying out image files
Image files (TGA and NW4R TGA formats) can be loaded, and layout data for game screens can be created.
Laying out text information that uses NW4R font files
NW4R font files can be loaded and text information can be laid out.
Editing sophisticated material representations
It is possible to edit sophisticated material representations that use features unique to the Wii on laid-out images.
Editing animations
It is possible to set and edit various animation effects for created layout data.
(SRT animations, visibility animations, texture SRT animations, texture pattern animations, material color animations, indirect matrix SRT animations)
Editing properties specific to game screen layouts
Supported features for widescreen layouts User information. It is possible to set and edit properties unique to game screen layouts such as editing boundary condition areas.
Wii Preview
To check layouts and animations as they appear on the Wii console, you can send LayoutEditor content to the Viewer.
Binary File Output
It is possible to run the binary converter to output binary files to be processed at run time on the Wii.

Things You Cannot Do with LayoutEditor

The following actions cannot be performed with LayoutEditor:

New image files (such as TGA files) cannot be created.
New image files cannot be created.
New images must be created separately using image editing software.


Panes

Panes are rectangular areas on the screen that display images and text. They are the basic unit in the formation of layout data. LayoutEditor handles five kinds of panes: Null, Picture, Textbox, Window, and Boundary Condition.

Null Panes

A null pane is used when grouping and/or associating other panes.
Essentially, the null pane itself is not drawn.

An itemized list of example applications is given below.
- Used as the parent pane of other panes.
- Used to specify the display position of game objects.

Picture Panes

A picture pane is used to lay out images on the screen.
Fine adjustments can be made for the display parameters of the image.

Text Box Panes

A text box pane is used to lay out text strings.
Text box panes use NintendoWare binary font files as fonts.
Parameter adjustments for a text string, such as changing the color, size, or character spacing, can be made for a text box pane.

Window Panes

A window pane is used to create window objects by combining multiple textures.
Create windows by setting an image for the part of the pane called a "frame" and the part inside the frame called the "contents."

Boundary Condition Panes

A boundary condition pane is used to position the boundary condition area.

Size and Scale

The numerical values that specify the pane size consist of the size and the scale.
Size indicates the size of the pane itself. Scale indicates the scale value of the parent-child hierarchical structure.
Accordingly, when setting the parent-child hierarchy, changes in the scale value affect child panes. Size changes have no effect.
For window panes, changing the scale value changes the size of the entire window. However, changing the size changes only the size of the content region, not the frame size.
Decide when to use each based on the situation.


Notes

General

  • Rendering Order of Panes
  • View/Hide Settings and Output Data
  • Problems with IntelliPoint Compatibility
  • Relationship Between the Current Time and Saved Layouts
  • Fixed Processing of Key Frames Outside a Segment


Rendering Order of Panes

The rendering order of panes located in a layout is determined according to the conventions given below.

  • Rendering occurs in order from parent panes to child panes. In other words, child panes are rendered on top.
  • If multiple child panes exist, rendering occurs in the order of the number assigned to the child pane.
    The number of a child pane can be checked and modified in the Parent-Child Hierarchy Window. (In the parent-child hierarchy window, the tree items are in the order of the children's pane number.)
  • In addition to the rendering order described above, it is possible to change display priorities by setting a Z value for the pane. Currently, display priority settings made using this Z value are not reflected in display results on the tree, but can be checked by transferring to the Viewer.
    To enable Z value-based display priority settings for a game project, be sure the game program renders with Z comparison enabled.


View/Hide Settings and Output Data

Panes can be configured with an attribute to be either shown or hidden.

For the sake of processing efficiency and programmer convenience, when the show/hide flag is set to OFF for a pane, a variety of processes for the pane's children and lower levels in the hierarchy are omitted in the console program (the layout library).

For example, collision judgments are not performed for boundary region panes.
This feature gives the game programmer a simple way to omit decisions for hidden panes.

The Hide Pane feature is very similar to this show/hide feature.
Use it to temporarily hide panes for convenience while editing. The settings made with the eye icon are not reflected in the binary data; in other words, the settings are not reflected in the actual game.


Problems with IntelliPoint Compatibility

A bug has been confirmed in environments with installed IntelliPoint, which is utility software for mouse devices manufactured by Microsoft. When using this tool in DirectX mode, re-rendering the layout window will illegally overwrite menus and windows.

The following methods have been confirmed to be effective in working around this problem.

  1. Downgrade IntelliPoint to a version lower than 5.5.
  2. Run IntelliPoint in Windows 2000 Compatibility Mode.

For (1), old versions of IntelliPoint can be downloaded from Microsoft's website. (Install a version before the Instant Viewer feature was implemented.)
To configure (2), right-click on the iPoint.exe executable file, click Properties and then Compatibility.


Relationship Between the Current Time and Saved Layouts

LayoutEditor includes a parameter for the current time.
The current time is set using the time slider in the Curve Editor window.

When creating a layout that uses an animation, animation results calculated based on the current time will be used for the layout.

At this point, note that when saving a layout to a file, the layout saved is the layout existing at the current time.

Caution is required because display results differ greatly particularly when a layout is used as is without playing an animation for the layout.

Also be sure to look into production methods such as creating a standard animation of one frame in length using animation segment tags and always playing it.


Fixed Processing of Key Frames Outside a Segment

The span of frames prior to the leading key frame (the one having the smallest time value) and the span of frames subsequent to the final key frame (the one having the largest time value) are referred to as the areas outside the key frame segment.

LayoutEditor has a feature to automatically calculate curves for the areas outside the key frame segment.

Differences Between Fixed Processing Methods and Output Data

Fixed processing of key frames outside a segment can be performed using LayoutEditor or the binary converter.
(If you choose to process them with the binary converter, the --bake-infinity option is specified as a converter argument.)
You can choose from these two methods for the LayoutEditor's binary export feature.

When the animation segment tag end frame and loop end frame (automatically generated keys) of the data to be processed match, the output value for the end frame will differ for the two processing methods.

-Tag end frame value
When processed by the tool: value of the loop start frame
When processed by the converter: value of the loop end frame

Because playback stops at the end value particularly when a tag is set to one-time, there is a possibility that results will differ greatly.
(However, if the next animation starts playing immediately after the end frame is played, it is unlikely that either method will cause problems.)

When using the binary output feature of LayoutEditor, you can select which method to use for fixed processing of the key frame.
Under standard operations, fixed processing is performed by the converter.
To force compatible operations with past versions of LayoutEditor, select so that LayoutEditor performs fixed processing.


Tutorial

Basic Operations

  • Tool Environment Setup
  • Creating a Layout
  • Using Picture Panes
  • Using Text Box Panes
  • Using Window Panes
  • Using Features for Forming Parent-Child Relationships and Grouping
  • Using the Copy and Paste Feature

Basic Operations (Animation Edition)

  • Creating a Pane Animation
  • Creating a Texture Pattern Animation
  • Using the Outside Key Frame Segment Infinity Cycle Feature

Commonly Used Operations

  • Using the Animation Segment Tag Feature
  • Creating Widescreen-Compatible Data
  • Using the Feature for Specifying the Number of Characters in a Text Box Pane
  • Using the Texture Warp Feature (Indirect Textures)
  • Using the Animation Sharing Feature

Sample Demos

  • Demo Showing a Game Title Screen


Tutorial

Basic Operations

  • Tool Environment Setup
  • Creating a Layout
  • Using Picture Panes
  • Using Text Box Panes
  • Using Window Panes
  • Using Features for Forming Parent-Child Relationships and Grouping
  • Using the Copy and Paste Feature


Color

Tool Environment Setup

Before starting the tutorial, check whether the development environment setup is completed properly.

Wii Preview

LayoutEditor includes a feature for previewing data being edited by transferring it to a viewer running on the Wii console.
LayoutEditor includes many parameters whose effects cannot be checked merely by using a design tool. It is therefore necessary to edit data while confirming the display results on a viewer running on the Wii console.

Console Preview Environment Setup

For details on how to set up the preview environment and run the Viewer, see the Viewer manual and other Viewer-related reference material.


Creating a Layout

As a first step, we will describe the flow of basic operations: creating a new layout, placing the panes, previewing with the console, and saving data.

Creating a New Layout

Start LayoutEditor and create a new layout file by selecting File > Create New > Layout.
A window with the title "Untitled" will appear on the screen. This is called the Layout Window.
You can create game screen layouts using LayoutEditor by positioning images in the Layout window.

Description of the Layout Window Screen

Description of the Layout Window Screen
When you look at the Layout window, you will notice that a black square is drawn on the screen.
This square is called the Layout Screen Region (A). This region corresponds to the screen shown on the television.The Layout Screen Region can be set in units of pixels.
The red line drawn in the center of the screen is the Layout Screen Region Coordinate Origin (B). The layout coordinate system is a three-dimensional coordinate system consisting of two-dimensional XY axes + a one-dimensional Z axis.
Screen right = Positive direction for the X-axis, Top = Positive direction for the Y-axis, Into the screen = Positive direction of the Z-axis.

Moving the Display Area (View)

Moving the Display Area
Pressing the space bar on the Layout window changes the figure of the mouse cursor to a hand symbol (A).
At this point, the Editor is in View Change Mode.

The window display area can be changed by dragging the mouse when in view change mode (B).

Scaling Change of the Display Area (View)

Scaling Change of the Display Area (View)
Confirm that there is a combo box displaying at 100% and a slider with + and - buttons at the lower right of the Layout window (A).
You can use these to zoom in and zoom out.

Creating New Null Panes

Right-click to select Create Pane > Null pane from the right-click menu.

Creating a Null Pane
A green square appears in the Layout window. This is a Null Pane (A).
A pane is the smallest constituent element making up layout data used to represent each separate image on the screen.
Use the editor to arrange panes and create layouts.

There are four other types of panes in addition to null panes. A null pane serves only an auxiliary purpose and is not displayed on the actual game screen.
To make the description of basic operations easy to understand, we will use simple null panes in descriptions.

Selecting a Pane
Using the mouse to click on a pane will cause that pane to turn red. This is called a selected pane.
In the Editor, various editing operations are performed on selected panes.

Editing Properties

Select a pane and then select Properties from the right-click menu.
The Property window appears on the screen.
This is the window where the pane parameters can be edited.

Try changing the size of the pane by clicking on the Size item shown under the Pane Position, Shape group.
You should be able to tell that the size of the selected pane has changed on the Layout window.

Redoing Parameter Operations

Make the Layout window the active window and select Menu > Edit > Cancel.
The last operation is canceled. Selecting Redo will redo the canceled operation.
For LayoutEditor, this partially corresponds to Undo/Redo functionality.
Since the software is still in development, some operations are still not supported. Please consider this when using this feature.

Previewing on a Wii Console

LayoutEditor can transfer data being edited to the Viewer and verify the final display results on the console.
This is called the Console Preview Feature.
In order to preview on the console, the Viewer operating environment must be correctly maintained on the development PC. For details on setting the Viewer operating environment, see Viewer-related documentation.

Preview is simple once the Viewer environment has been set correctly and proper connections between the PC and the Wii console have been made.
Select Tools > Transfer to Viewer.
Several seconds after the display shown during data transfer goes away, a green null pane should be displayed on the television corresponding to the Layout Screen Area on the Viewer.

Displaying Previews
When an error warning appears or the preview is not performed properly, the Viewer's environment may not be set up correctly.

Saving Files

Save created layout data by selecting File > Save > All.

Entering a File Name
A dialog box for entering the name of the save file is displayed the first time data is saved.
Specify a filename and save the file.
The extension for the layout file is rlyt.

Loading Saved Files

At this point, close the Layout Window and load the layout data just saved.
Selecting File > Open > All will bring up a dialog box for selecting the filename to be loaded.
Select the file just saved.
The Layout window opens, and you can confirm that the layout just saved has been loaded.

Outputting Binary Files to the Wii Console

The layout data created with LayoutEditor is ultimately converted to a binary file and used by the console program.
(For details, see Overview.) Use the Binary Converter to convert layout data to binary files.
When this tool's Binary Export feature is used, the converter can be easily controlled, and a binary file can be exported.
Select File > Export Binary to display the Binary Export dialog.
Specify the export target and other necessary information, and then press the Output button to output a binary file.

Other

All operations of the form Right-click menu > [...] used on this page can also be performed by selecting Menu > Object > [...].


Using Picture Panes

This section describes picture panes. Picture panes are used to position images on the screen. For a detailed description of picture panes, click here.

Loading an Image File in the Texture Window

Before you can position the picture pane, the image that will be used by the picture pane must be registered as a texture. Texture registration is performed in the texture window. First, create a new layout. Select View > Sub-window > Texture and put the Texture Window into Image View.
Texture Window
Press the Read button (A) in the Texture Window. Select an image file, and a dialog box for loading will appear.
For the image file format, TGA files are used.

At this point, select a sample image file packaged with the editor. (For information on sample images, click here.)The loaded image (B) is displayed in the list view on the left side of the Texture Window.

After Loading

Limitations Related to the Image File Format

For the image file format, either TGA files or NW4R TGA files are used.
With a normal TGA file, use the 24- or 32-bit format.

Create tga files in 32-bit format for images using alpha information and 24-bit format for images that do not use alpha information.
With a NW4R TGA file, the format will be selected when the NW4R TGA file is created.
Note: It is not possible to change the format in LayoutEditor.

Creating Picture Panes by Specifying Textures

Click on the image in list view in the Texture Window, and the texture image will be selected (A).
Selecting a Texture
Because the Create Pane button (B) is enabled when a texture image is selected, press the button to create a pane. You can confirm that a picture pane displaying the texture has been created on the Layout window.

Creating a Picture Pane

Changing Picture Pane Properties

Select a picture pane and display its Property Window. Select Picture Pane Information (A) from the tree on the left side of the Property Window. The page on the right side (B) switches to the Edit Picture Pane Information Page.
Picture Pane Properties

Changing Vertex Colors

The color of the vertex at each of the four corners of a picture pane can be changed. Click the buttons arranged on the right side from the vertex color group. Color Picker will appear, allowing you to set the color of the corresponding vertex.

For confirmation, use Transfer to Viewer.
Changing Vertex Color
You can confirm that the color of the four corners has changed using the Viewer.

Changing Texture Coordinates

Panes are represented using polygons covered by a texture. Change Texture Coordinates, which is used when applying a texture, is available for texture groups. To check the effects, use Transfer to Viewer. Changing Vertex Coordinates
Use the Viewer to confirm that the texture coordinates have changed.

Changing the Texture to Be Used

Select a texture item from the tree on the left side. Various settings related to textures are available on the Texture Page.
Click the Change Image button at the center of the screen.
The Select Image Dialog will appear, allowing you to change the image displayed in the picture pane. The Texture Page can be used to do things such as create picture panes that have multiple overlapping textures and fine-tune how textures are applied.
Changing Textures


Using Text Box Panes

This section describes the text box panes used for positioning text strings on the screen.
With the NintendoWare binary font file, textbox panes can be used to position text strings on the screen. Click here for a detailed description about the text box pane.

Creating Text Box Panes

Create a new layout file and select Right-click menu > Create Pane > Text Box Pane.
The Create Text Box dialog appears.

Creating Text Box Panes
Here, specify the previously created NintendoWare binary font file.
For information on creating NintendoWare binary fonts, see the related documents located in $(NintendoWare_Root)/fontcvtr/docs/.
If the specified information is correct, the OK button will be enabled.

To create the pane, click OK.

The string should display correctly in the layout region.

Created Text Box Pane
If some or all of the characters are not displayed, check whether you are using characters that are not included in the font file.
This may occur in cases such as if you have specified kanji while using font data that only contains alphanumeric characters.

Adjusting Text Box Pane Properties

Open the Property Window, and from the tree on the left side, select the Text Box Pane Information option.

Text Box Pane Properties

Changing the Font File and Adding/Removing Fonts Registered for the Layout

The font to be used by the text box pane can be changed using the Font File Name combo box located in the Font Information group.
Fonts registered for the layout are displayed in the combo box.To register new fonts in the layout, specify the file by pressing the button beside the combo box.
Fonts that are no longer used do not get unregistered automatically.Remove unused fonts by executing Tools > Remove unused fonts.
Take particular care not to forget this step when you output the final data for submission to programmers.

Removing Unused Fonts

Using Control Strings

The '^' character can be used as the control for the strings inside the text box pane.
The layout converter interprets the two characters after '^' as a hexadecimal number (0x00-0x1F). It then performs a conversion to replace these characters with a control code.

By having the executing program interpret the control code, the user can extend and control the behavior of the text box pane.
For example, using these control codes, you can display an image or change the color or size of a character in the middle of a string.

This feature is currently available only as user-extensible definitions.
Be aware that there are no standard control codes supported by the viewer or the library.

If the resulting settings are illegal, the '^' character is deleted, and the two characters that follow it are displayed as normal characters.
In addition, the conversion process can be disabled by specifying the appropriate option in the converter.


Using Window Panes

This section describes window panes.
The Window Pane feature is designed for creating window (or window frame) objects from combinations of multiple textures.
Images can be set in the frame portion called a frame and the internal portion of the frame called the contents to create a window.

Creating Window Panes

Create a new layout file and select Right-click menu > Create Pane > Window pane.
A green pane appears in the layout area.

Creating a Window Pane
Window panes in this status are in a state where images cannot be set.
To display the window properly, the texture must be set.

Texture Settings

To set textures, you must first use the texture window to register images as textures. (For details on registering textures, see "here.")

After registering textures, open the pane's Property Window. Select the Window Pane Information item from the left tree item.
The Edit page for window pane properties appears on the right.
From the group of image/materials for editing in this page, specify the target area where the image is being configured.

Window Pane Property

At this point, select "Frame: 4 Corners: Upper Left (LT)" from the combo box.
This changes the target for which an image is to be set to Corner 4 of the window frame.
You should be able to confirm that the part displayed in red for the image next to the combo box has changed (A) from the center of the square to Corner 4 of the square.

Frame Selection
Here, select the Texture item from the left tree item and display the Texture Settings page.
Click the registration button of the register/delete group to register the texture.

Selecting a Texture
Texture settings are performed on the targeted image settings that were just set with the Window Pane Information.
To set an image for a different part of the window, move to the Window Pane Information page, change the target, and repeat the same operation.

Example of Completing Windows
A window like the following should appear once settings are complete.

Changing the Target

The target can be changed either by selecting it from the aforementioned combo box, or by clicking on each part of the currently selected window pane in the layout window.


Using the Parent-Child Hierarchy and Grouping Features

This section describes features related to parent-child hierarchies and groups.
The use of the parent-child hierarchical structure allows you to organize and operate on multiple related panes, or to group them and then operate on them together.

The Group feature allows you to organize multiple, related panes in the same way as the parent-child hierarchy.
This is used in cases such as below when it is difficult to represent a group using a parent-child hierarchy.

- When grouping panes that are part of more than one hierarchy
- When a pane belongs to more than one group at the same time

Creating Parent-Child Hierarchies in the Layout Window

For this example, create a new layout file and two null panes.

Create Two Null Panes
Select Right-click menu > Hierarchy.
You can confirm that the mouse cursor has changed and that the system is in hierarchy mode.

Hierarchy Settings Mode
Hierarchy settings are made by operations such as connecting from the parent pane to the child pane with a line.
First, start dragging on the parent pane. If the parent pane has been selected properly, a straight line will be drawn toward the mouse cursor.
Move the mouse cursor to the child pane to connect this straight line to the child pane.
If the pane under the mouse cursor is suitable as a child pane, the two panes will be highlighted in red.

Selecting a Child Pane
The parent-child hierarchy is set correctly by releasing the mouse button on top of a suitable pane.

The following itemizes the conditions unfavorable for a parent-child relationship.
* The specified child pane is the same original parent pane.
* The specified child pane is the original pane's own parent (the same goes for "parent of a parent" and so on).

Now try changing the position of the parent pane using the mouse. The position of the child should change, following the parent.
If there is no change, check if the item Menu > Object > Apply Parent Transformations to Children is enabled.

Applying Parent Transformations to Children

Whether the parallel translation of the parent is reflected in the child can be switched with Menu > Object > Apply Parent Transformations to Children.
This operation mode can also be reversed temporarily by pressing CTRL.
The current operation mode can be verified with the icon on the right of the status bar in the Layout window.

Applying Parent Transformations to Children

Disbanding Parent-Child Hierarchies in the Layout Window

The procedure for disbanding parent-child hierarchy settings is nearly identical to that used when making them.
Select Right-click menu > Disband Hierarchy.
Operate the mouse to connect the parent pane and child pane in the hierarchy to be disbanded with a straight line.

Disbanding Hierarchies

Using the Hierarchy Window

Select View > Sub-window > Hierarchy to display the Hierarchy Window. Use the Hierarchy Window to list the parent-child hierarchy relationships in a layout.
Hierarchy Window

Creating/Disbanding Parent-Child Hierarchies on the Hierarchy Window

First, drag the tree item corresponding to the child pane.
Dragging the Child Pane
Drop the tree element being dragged onto the tree item corresponding to the pane that will be a parent.
Dropping the Child Pane
A parent-child hierarchy is set as long as the two panes satisfy the conditions for setting a parent-child hierarchy.

Changing the Hierarchy
When disbanding a parent-child hierarchy, be sure to either associate the child with another parent or make hierarchy settings for the RootPane.

Changing Parameters in Line with the Parent-Child Hierarchy

By clicking the eye and key icons on the left edge of the window, you can change parameters according to a pane's parent-child hierarchy, such as locking all the levels below the level specified in the pane.

Locking below this hierarchy

Selecting Multiple Nodes

By selecting nodes while holding down CTRL or SHIFT, it is possible to select multiple nodes at the same time.
This is used when one wants to select from or perform operations in multiple panes.

Creating Groups

To create a group, select multiple panes in the Layout window.
In this state, select Right-click menu > Object > Create Group.
The selected panes will be registered as a group.
Use the Group window to confirm the groups in a layout.
Use View > Sub-window > Group to toggle the Group window between Show and Hide.

Group Window

Deleting Groups

Use the Group window to delete groups.
Select the item in the tree corresponding to the group to be deleted and select Function > Delete Selection.

Editing Groups

Use the Pane Group Edit window to edit groups.
Select the pane you want to group edit and select Edit Group from the right-click menu.
If changing the members of a group, after selecting a pane, use the Pane Group Edit dialog that is displayed in Right-click menu > Edit Group.


Using the Copy and Paste Feature

This section describes the copy and paste feature.

Copying Panes

The following operations can be used to copy and paste just like regular copy and paste.

Edit > Copy
Edit > Paste

You can confirm that a new pane having the same parameters as the copied pane has been duplicated.

Copying Panes
Be aware that the information related to the animation is not copied.
To copy animation information, use the Copy and Paste Control Window described below. Hierarchical structures are copied. Group information is not copied.

Using the Pane Information Paste Control Window

Use the Pane Information Paste Control window when performing operations such as those described below.

- When you want to overwrite by pasting just some pane information to an existing pane.
- When you want to perform paste operations to more than one pane at the same time.
- When you want to paste animation data.

Toggle the display of the Pane Information Paste Control Window using View > Sub-window > Pane Information Paste Control.

Overwriting Part of Pane Information by Pasting

First, select the pane to be copied from and execute the copy. The copy source pane must be a single pane.
Next, select the pane to be pasted to. Confirm that the display of the Pane Information Paste Control Window changes and that enabled items change.
When the paste source and paste destination have the same information items, they are determined to be valid items.
Check the items to be copied from among the enabled items.
Click "Paste in the selected pane" at the bottom of the window.
It can be verified that the specified information was pasted to the selected pane.

Pasting Only Rotation

Vector Component Paste Control

When using this feature, the paste component can be controlled by applying the information corresponding to the vector information.
For example, it is possible to perform operations such as pasting only the width of a pane by pasting only the X component of the size parameter.

Pasting Only the X-Component of the Size
This setting is available with all parameters that have a vector information format. (In other words, the setting is shared by position and size.)
It is also possible to carry out similar control of color component paste control for parameters that have a color (RGBA) format.

Pasting Animation Information

Animations can be pasted just like regular parameters.
When replace has been enabled for the paste destination key information, the current key frame is deleted before the paste operation.
For this reason, the paste destination information is completely replaced with the paste source information.


Tutorial

Basic Operations (Animation Edition)

  • Creating a Pane Animation
  • Creating a Texture Pattern Animation
  • Using the Outside Key Frame Segment Infinity Cycle Feature


Creating a Pane Animation

This section describes how to attach animation effects to a pane placed in a layout.

Basic Flow of Animation

LayoutEditor creates animations using a method called key frame animation.
The general process is to first create a layout that is not animated and then set key frames for this layout to make an animated layout.

Curve Editor Window

This window is used to open layouts for which animations are to be created.
Be sure to open $(LayoutEditor_Root)/sample/layout_anm/tutorial/pane_anm.rlyt.
(The final layout is stored in $(LayoutEditor_Root)/sample/layout_anm/tutorial/pane_anm_fin.rlyt.)

View > Sub-window > Curve Editor
Use the Curve Editor window to edit animations.
Select View > Sub-window > Curve Editor and put the Curve Editor into Display status (A).

Select pane
Select a pane by clicking on the heart pane on the Layout window that was just open.
You can confirm that the selected pane has been set as the animation edit target by looking at the items displayed in the tree on the left side of the Curve Editor (A).

Attribute Tree

Attribute Tree
The tree on the left side of the Curve Editor is called the Attribute Tree (A).
Elements to be animated which panes selected on the Layout window have are displayed in the Attribute Tree.
(These animation elements are known as attributes and animation attributes.))
An attribute can have child attributes. Attributes that have child attributes are displayed with a + mark on the left side. Clicking the + mark expands the tree to show child attributes.
Clicking on an attribute causes attribute text to turn bold, indicating it has been selected.
The text is also displayed in red if the attribute or its child attributes possess key frame information.
When creating an animation, edit animation data by selecting the attribute you want to edit from the tree.
Graph Display Area
Information about attributes selected in the aforementioned Attribute Tree is displayed in the Graph Display Area (A) of the Curve Editor.
The horizontal axis in the Graph Display Area represents time, while the vertical axis represents the value of each attribute.

Editing Key Frames

Before describing key editing, we first explain how to change the display area of the Graph display.

Moving the Display Area and Changing Scales

Before moving the display area
Left-dragging the Graph View while holding down the space bar moves the display area.
After moving the display area
Right-dragging the Graph View while holding down the space bar increases/decreases the scaling of display area.
Changing the scale of the display area
When dragging horizontally, the scale of the time axis changes, and the scale of the value axis changes when dragging vertically. Holding the Shift key down while performing this operation fixes the axis that is being changed.

Use the F key to display the entire selected part. Use the A key to display the entire display target.
Use these when you lose sight of the configured key information.

Animating Pane Positions

Let's try animating pane positions at this point. Select PaneNode > Pane > Pos > fX, expand the tree item, click, and select the fX attribute.

Creating a Key
At this point, click the key icon or press the S key.
Key frames are created in the form of black dots on the Graph View (A). You can confirm that a red square is drawn in the Key Information View (B). If not displayed, the display area may be misaligned. Press the A key to show all.

Click Time Control View
Next, click on the Time Control View (A). The blue square moves, and you can confirm that the current time has changed.
At the same time, the current time should also be updated in the Time Control panel at the bottom of the Curve Editor window (B).

Create second key
After the current time has changed, create a second key by clicking the key icon.
You can confirm that key frames have been connected with a dark red line (A). This is called the animation curve, or simply the curve.
At the current point, this curve is just a straight line. We'll try editing this curve.
You can select a rectangular area by left-dragging the mouse on the Graph View.Try selecting the key frame on the right.

Drag the second key
You can confirm that a red horizontal line and dot are displayed on the selected key (A). Now drag the key while holding down the right mouse button.
The selected key moves and the curve between keys changes shape in accordance with this movement (B).

Play the animation
Click the Play button on the Time Control Panel (A). You can confirm that animation playback starts and that parameters change along with the curve.
This time, the X coordinate of the pane is changed in accordance with motion of the curve.
To stop the playback of the animation, click the Stop button in the Time Control panel (B). You can create animations by editing the shape of the curve in this way.

Note: If you press the Ctrl key while changing the key frame, the parameter can be adjusted with a fixed time axis and a fixed value axis.
Pressing the Ctrl key and dragging has the effect of fixing the motion axis.

Editing Slopes

Setting the type of slopes for key frames

While a key is in the selected state, you can use menu buttons to configure the kind of slope for the key frame. You can currently specify one of these kinds of slopes: spline (smooth interpolation), line (rectilinear interpolation), flat (slope angle fixed to zero), or step (a step-like slope shape interpolation).
The slope value of the key frame of which the kind of slope has been specified gets set automatically.
Spline

Line<br> <br><img src=

Step

Editing individual key frame slopes

In addition to setting the kind of slope, the user can also set any slope value for a given key frame.

Select Key
Selects a key.
A red line with dots at both ends is displayed above the key. This indicates the slope (A).

Select the slope
Rectangle select the control points. The slope changes to a light green color. This indicates the slope has been selected (A).
The slope can be changed by right-dragging at this point. The shape of the curve between keys changes when the slope is updated.

Edit Slope 1

Edit Slope 2

Edit Slope 3
More varied animation curves can be edited by editing the slope.
A key frame with an edited slope is configured as a key frame with a fixed slope.
Note that the slope value will not be calculated automatically at later times when the key frame is adjusted.

Wii Preview

The method to confirm created animations on the Wii Console's Viewer is exactly the same as that used with regular layouts.
Select Tools > Transfer to Viewer. The point that the Viewer environment must be set correctly is the same. Be sure to check thoroughly.

Numeric values at the center of the Time Control Panel indicate animation playback frame segments.
The tool specified for the range here performs looped playback of the animation.
In addition, time segments transferred to the Viewer become animation playback frame segments.

File Output

Select Menu > File > Save > All just as when saving a layout when saving created animations.
Animation information is saved at the same time as layout information.
The file extension used for animation information is .rlan.
Although it is possible to output separate files for each animation type, this is usually not needed.

Similarly, animations are loaded at the same time as layouts by selecting File > Open > All. (Animations loaded at this time have the same file names as layouts.)

File > Open > Specify file type and open > Layout
File > Open another > Specify file type and open > Animation
You can use operations like these to read layouts and animations separately.
Multiple animations for a single layout can also be created under different file names.
Note, however, that using the Animation Segment Tag Feature, to be described later, should reduce the number of cases where such operations are needed.

Binary Output

Binary files can be output by selecting Menu > Export Binary. The keys that are output are those inside the animation playback segment on the Time Control anel.
Output control and various detailed control is possible for each type of animation. For details, see here.


Creating a Texture Pattern Animation

This section describes how to set a texture pattern animation effect for a picture pane.

Basic Procedure for Creating a Texture Pattern Animation

In texture pattern animations, the texture number being referenced by a picture pane is switched.
First, register a texture pattern list for the pane's texture setting.
Next, use animation keys to begin setting the textures in this pattern list that will be used as display textures.
When specifying textures, use the serial number in the pattern list.
In short, a texture pattern animation is actually a texture number animation. Use these steps to create basic texture pattern animations.

Be sure to open the sample layout: $(LayoutEditor_Root)/sample/layout_anim/tutorial/texture_pattern_anm.rlyt. (The final layout is stored in $(LayoutEditor_Root)/sample/layout_anim/tutorial/texture_pattern_anm_fin.rlyt).)

You can easily create texture pattern animations by using the feature that automatically generates texture pattern animation panes from consecutive textures, which are described below.
When generating complex data or creating a large number of pattern animations, consider creating pattern animations from consecutive textures.

Registering Texture Pattern Lists

Selecting the Texture Pattern Animation Tab
To register a texture pattern list, select the Texture page (A) from the Property window.
From the middle of the Texture page, select the Texture Pattern Animation tab (B).

Adding to the Texture Pattern List
The layout's Registered Texture List is displayed on the left side of the Texture Pattern Animation tab.
The Texture Pattern List to be created is displayed on the right (A). To assign textures to the Texture Pattern List, select a texture from the Registered Texture List and click the Add button (B) in the center. The selected texture is assigned to the Texture Pattern List (C). The assigned texture can be deleted or have its order changed.
As described previously, when creating a pattern animation, use the numeric value displayed in the Number column of the Texture Pattern List to specify the texture to be switched.

Creating Pattern Animation Key Frames

After the Texture Pattern List is complete, create key frames for the pattern animation. Select the pane to be animated and display the Curve Editor window.
Selecting Texture Pattern Animation Items
Select texture pattern animation items from the edit target attributes. To do this, select PaneNode → Picture → Material → MaterialTexMap[N] → Texture [N] → TexPatternAnm[N] (A). N represents a texture number (for example, N = 0). The selection to be made in PaneNode → Picture varies when you use another type of pane that includes material information (for example, a window pane).
Step-Format Animation Curve
Once the target of editing is set, create any key frame.
The texture pattern animation curve format is a step format that has no interpolation (A). In addition, key values are integers.

Here, be careful to not specify a number that does not exist in the previously mentioned texture pattern list.
Keys with improper numbers are ignored.

When finished, try playing the animation.
You can check that the textures being used are switched according to the created curve.

Saving and Loading Texture Pattern Animations

To save texture pattern animations, select Menu → File → Save → All.
An RLYT file for saving layout information and an RLAN file for saving animation information are output.

Note that at this point the Texture Pattern list is saved in an animation file rather than a layout file.

Try loading a layout file to check this specification.

To load the layout file that has the saved data, select Menu → File → Open → Specify File Type and Open → Layout.
The Texture Pattern List that has just been set will be lost if the texture properties of a pane for which a texture pattern animation has been set are referenced.
This is because the Texture Pattern List is saved in the animation file.
Next, load the animation file by selecting Menu → File → Open Additional → Specify File Type and Open → Animation.
You can confirm that the Texture Pattern List is loaded.

Creating Texture Pattern Animations by Using the Load Sequential Textures Feature

By using the Load Sequential Textures feature, you can automatically generate a pane for pattern animations using textures that exist in a specified folder. These textures, called sequential textures, are a group of files numbered according to specific naming conventions and are batch-loaded when you use this feature.
To load the consecutive textures, select Tools → Load Sequential Textures.

Tools → Load Sequential Textures

In the Settings dialog, the input source for sequential textures is set to a folder.
Sequential files are decided upon and loaded from the files within the dialog.
Specify sequential textures with the TextureName.XXX.tga format, where XXX can be any number.

When the various parameters are set and the textures are loaded, a picture pane for performing texture pattern animation is created in the layout.


Color

Using the Outside Key Frame Segment Infinity Cycle Feature

This section describes how to efficiently create animation data using the outside key frame segment infinity cycle feature.

Area Outside the Key Frame Segment

Area Outside the Key Frame Segment
The term 'area outside the key frame segment' refers to one of two areas: the frame area that has time values prior to the first key frame (that is, the key frame with the lowest time value) or the frame area that has time values larger than the last key frame (that is, the key frame with the largest time value) (A).
Usually a curve is not defined for the area outside the key frame segment.
LayoutEditor has a feature to automatically calculate the curve for the area outside the key frame segment.

Creating Data That Uses the Outside Key Frame Segment Infinity Cycle Feature

First, load a sample layout. Load $(LayoutEditor_Root)/sample/layout_anim/tutorial/infinitycycle.rlyt by selecting File > Open > All. (The final layout is stored in $(LayoutEditor_Root)/sample/layout_anim/tutorial/infinitycycle_fin.rlyt.)

Opening the Sample File
You can confirm the layout for which panes are arranged. Pane SRT animation has been set for the panes.
Pane animation moves at a slow 1000-frame cycle.
Consider the instance of adding an animation that changes pane size every 30 frames cycle to this animation.

Creating a Size Animation of 30 Frames

First, create a size animation of 30 frames. Next, select Set after key frame segment > Repeat.
(At this time, verify that the size animation attribute is selected (A). The Set after the key frame segment command is applied to the selected curve.)

Repeat Outside Segment
A semi-transparent curve should have be drawn to repeat the same shape of the created curve for frames after the final frame.
If the display does not change, verify that View > Render area outside key frame segment is checked.

Try actually playing the animation. You can confirm that animation is being performed in accordance with the automatically calculated curve.

Wii Console Animation

Previewing Data That Uses the Outside Key Frame Segment Infinity Cycle Feature on the Wii Console

Data that uses the outside key frame segment infinity cycle feature can be previewed on the Wii Console as usual.
Selecting Tools > Transfer to Viewer will display the animation created for the Wii Console Viewer.

When transferring data to the Wii Console Viewer, the tool performs processing that automatically generates key frames for parts repeating outside the segment.
This processing is referred to as baking to key frames of the curve outside the segment.
Baking can be turned on and off using Edit > Set Tool Environment.

Note that there is no support for loading rlan files output for baking back into LayoutEditor and re-editing them.

Outputting Binary Data That Uses the Outside Key Frame Segment Infinity Cycle Feature

Binary output can be performed as usual even with data created using the outside key frame segment infinity cycle feature.
Selecting File > Export Binary will output a binary file.
Baking to key frames can also be controlled when using Export Binary.


Tutorial

Commonly Used Operations

  • Using the Animation Segment Tag Feature
  • Creating Widescreen-Compatible Data
  • Using the Feature for Specifying the Number of Characters in a Text Box Pane
  • Using the Texture Warp Feature (Indirect Textures)
  • Using the Animation Sharing Feature


Using the Animation Segment Tag Feature

This section describes how to use the animation segment tag feature. Under LayoutEditor, it is possible to set tag information for time-frame segments used with animations. This is called an animation segment tag.

Advantages of Using Animation Segment Tags

Animation segment tags consist of a tag name, frame segment (start frame, end frame), and settings related to binary export.
The binary converter can be used to interpret tag information and output files as separate binary files for each tag. This makes it possible to manage, as a single animation file, animations that need to be split into multiple binaries for output due to game program requirements.

Edit Animation Segment Tags Window

Edit Animation Segment Tags window

The Edit Animation Segment Tags window allows animation segment tags to be registered, deleted, and edited.
It is possible to toggle display of the Edit Animation Segment Tags window by making the following selections: Menu > Display > Sub-window > Edit Animation Segment Tags.

To register a tag, click on the Add button to bring up the Add Tags Dialog.

Add Tags dialog

Here, enter information for the new tags that will be added.
If there are no problems with the entered information, the OK button should be enabled, so click OK.

Changes to tag content
You can now check whether new tags have been added to the tag list (A).
To change the settings of a registered tag, select the tag to be changed from the tag list (A).
Information for the selected tag will be displayed for you to change (B).
When the Specify Target Group button (C) is pressed, the Specify Target Group dialog is shown. The target pane of an animation indicated by the tag can then be specified by group (described below).
Advanced settings related to binary export can be performed in the Binary Export group (D).

Related Groups

By configuring the groups related to a tag segment, it is possible to restrict the target panes of an animation indicated by that tag segment.
For example, with this functionality, you can create an animation that changes only a specific portion of the screen.
You can use Viewer to check the playback of animation that reflects this feature.
To take advantage of this feature, you must use a 2007/07/17 or later version of the system.
For this reason, this feature cannot be used in icon banner data.


Creating Widescreen-Compatible Data

This section describes how to create widescreen-compatible data.
The Layout library includes functions for adjusting layout data created under the standard aspect screen ratio and displaying on the widescreen.
(Specifically, this feature ensures that images ultimately displayed on the television do not change by pre-compressing parts of the image that will be stretched when displayed on a widescreen.)
Use of this adjustment feature allows support for widescreen displays without the need to create new layout data just for the widescreen.

Adjustment feature concept
LayoutEditor includes a feature for setting whether to use this adjustment feature on panes.

Adjustment Feature for Widescreen Displays

Check use as position adjustment process target
To set a pane as the target of the adjustment process, check (A) the box for specifying the pane as a target of position adjustment process on the Basic Pane Information Page on the Properties window.
Next, transfer the data that has been set to the Viewer.

Toggle normal and wide display
It is possible to confirm that the size correction process is applied to panes that have been set as the target of the adjustment process when toggling the display mode on the Viewer using the X button.
Although the correction process makes it appear that images have been slightly compressed in the horizontal direction, it is possible in this mode to confirm that displays are made under the original aspect ratio when the television display is switched to widescreen mode.


Using the Feature for Specifying the Number of Characters in a Text Box Pane

This section describes how to use the feature for specifying the number of characters in a text box pane.
With LayoutEditor, it is possible to specify the length of the text string buffer (in units of characters) allocated by the run-time library at the time of execution for the text box pane that was output.

Example of Using the Feature for Specifying the Number of Characters

The feature for specifying the number of characters is used when it is necessary to change the string using program at the time of execution. Specifically, player names and text strings in the message window.

Specifying the Number of Characters

To specify the number of characters, check (A) the box for forcibly specifying the length of the text string on the Text Box Pane Information page for the text box pane.

Check the box for forcibly specifying the length of the text string


Using the Texture Warp Feature (Indirect Textures)

This section describes how to use the texture warp feature (indirect textures).
The texture warp feature is a process of warping a texture image by using another texture image.
Complex effects can be created through the combined use of the texture causing the warping and the texture being warped.

Indirect Textures

About Images Used for Texture Warping

The texture to be warped that is used in the texture warp process is called the indirect texture.
Normal textures store picture information in the pixels, but indirect textures store information corresponding to the amount of warping.
See here for details (the explanation uses ITF_8 for the format and ITB_STU for the bias in the indirect texture settings, which are described below).

Using the Texture Warp Feature

Main Flow When Setting an Indirect Texture

The procedure for setting indirect textures can be broadly divided into three steps.

1. Load the indirect texture into the layout
2. Register the texture for the material
3. Adjust the material's TEV stage settings (using the detailed material settings items)
A description of these steps follows.
Now, try applying the texture warp process to a picture pane.
Be sure to open $(LayoutEditor_Root)/sample/layout_anim/tutorial/warp_texture.rlyt.
(The final layout is stored in $(LayoutEditor_Root)/sample/layout_anim/tutorial/warp_texture_fin.rlyt.)

Loading the Indirect Texture into the Layout

First, register the new texture for warping with the layout.
After registering the new texture, set the output format appropriately from the Detailed View mode in accordance with the format of the indirect texture. (The information regarding the output format is here.)

Loading the Indirect Texture
In this case, the setting is changed to I8.
Once registration is finished, register the indirect texture as a material of the pane.

Registering the Indirect Texture as a Material

Before registering the indirect texture to the pane material, enable the detailed material settings and configure the standard TEV settings.

Using Detailed Material Settings

Checking Detailed Material Settings
Detailed material settings must be used to make TEV settings for the material.
To use detailed material settings, display the Picture Pane Information page from the Property Window for the picture pane.
The other groups have check boxes (A) for Perform detailed material settings . Select these boxes.

Dialog for Confirming the Automatic TEV Calculations Feature
A dialog box for confirming whether to enable the automatic TEV calculations feature will appear.
When you use the TEV automatic calculation feature, the tool automatically sets the standard TEV stage settings.
In this case, select Yes to configure the settings using a method that corrects the essential parts. This correction is based on the TEV settings for the standard display of textures.

Turning Off the Automatic TEV Calculation Feature
Since the standard settings have now been configured, immediately turn off the TEV auto-calculation feature.
This is done in order to prevent future changes to TEV settings from being overwritten by the standard settings.
Select the Texture page, which has parameters relating to the TEV settings, and click the red button in the lower left (A).
This turns off the automatic TEV calculation feature.

Checking Detailed Settings Elements
You can confirm that detailed settings elements have been added to the tree on the left side of the Property Window.

Next, the indirect texture just registered from the texture page is added.
For details on adding textures, see here.

At this point, verify that the TEV automatic calculation feature is OFF.
(If the automatic TEV calculation feature is enabled, TEV settings will be overwritten as a standard multi-texture registration.)

You should be able to confirm that display is generated as a regular picture pane as before, once preview is executed.

Preview 1

Adjusting TEV Stage Settings

TEV Stage Settings
Next, select the TEV stage from the Stages page that references the texture to be warped (A).
In the Indirect Settings group, set the Format to ITF_8, the Bias to ITB_STU, and the Matrix/Scale Selection combo box to a value other than ITM_OFF, such as ITM_0 (B).
Using these two settings, the Bias setting applied to each texel value will be changed.
You can change these two values, depending on the desired effect, but hardly any modifications are necessary to configure normal texture warp effects.
At this point, confirm the stage is set as the indirect stage to be used.
(It should be set to STAGE_0 if it has not been changed from the specified value.)

Indirect Stage Settings
Next, set the parameters for the indirect stage being set as the stage to be used (in this case, Stage 0, Number 0).
Select the indirect stage page from the items in the tree.

After Setting the Indirect Stage
Set the number of stages to be used to one and set the indirect stage for the editing target.
Specify the indirect texture registered for the input texture.
Any texture coordinate specification may be made.
This specification is made in cases such as when performing separate texture SRT animation processing for the indirect textures.

You can confirm that an image warped according to the indirect texture is displayed when preview is executed.

Preview 2

Sample Application of the Texture Warp Feature

Use of the texture warp feature allows the creation of the following types of effects. One example will be given for each.
Sample 1

Sample 2

Sample 3


Creating an Indirect Texture

Indirect textures are textures that allow normal textures to be warped using the hardware's indirect functionality.
Although indirect functionality is complex, the effective use of indirect textures makes it possible to express a wide range of textures.

Structure of Indirect Processing

The following is a description of the structure for indirect processing within the hardware.

Handling Each Component of an Indirect Texture

The different components of an indirect texture are handled as follows:
The basic amount of warping in the horizontal and vertical directions is determined by the values of each component.

R Component
Not used.
G Component
Normally not used.
This will impact the Translate result only when a value other than 0 is used in the Translate component within the indirect matrix.
B Component
Expresses the amount of warping in the texture's vertical direction.
When each pixel is expressed as a range from 0 to 255, a value of 128 indicates a zero amount of warping (no warping).
For values less than 128 (darker), pixels will be expressed with warping in the upward direction, with a value of 0 indicating warping of 128 pixels in the upward direction. For values greater than 128 (brighter), pixels will be expressed with warping in the downward direction, with a value of 255 indicating warping of 128 pixels in the downward direction.
A Component
Expresses the amount of warping in the texture's horizontal direction.
When each pixel is expressed as a range from 0 to 255, a value of 128 indicates a zero amount of warping (no warping).
For values less than 128 (darker), pixels will be expressed with warping in the leftward direction, with a value of 0 indicating warping of 128 pixels in the leftward direction. For values greater than 128 (brighter), pixels will be expressed with warping in the rightward direction, with a value of 255 indicating warping of 128 pixels in the rightward direction.

Example 1

When the B and A components of the indirect texture (the center texture) are both set to 128, no warping occurs as a result of indirect processing.

Example 2

Only the region (the circle in the center of the image) where values for the B and A components are set to values other than 128 is there indirect texture (the center texture) warping.
(Both the warped texture and the indirect texture are 256 x 256 in size, with the center circle of the indirect texture having a size of 128 pixels.))

  1. Both the B and A components are set to 128.
  2. Both the B and A components are set to 160 (= 128 + 32).
  3. The portion shifted 32 pixels to the right and down is shown.

Changing the Warping Amount with the Indirect Matrix

The amount of warping in the horizontal and vertical directions determined by the indirect texture is converted by the indirect matrix.

Scale S
Magnifies (diminishes) the amount of warping in the horizontal direction.
Places where warping is zero will be unaffected.
Scale T
Magnifies (diminishes) the amount of warping in the vertical direction.
Places where warping is zero will be unaffected.
Rotate
Rotates the warping for the horizontal and vertical directions.
Translate S
Adds (subtracts) the amount of warping in the horizontal direction.
Translate T
Adds (subtracts) the amount of warping in the vertical direction.

The indirect matrix Translate component is calculated by multiplying by the value, (G component value for the indirect texture) - 128.
The G component values for the indirect texture must all be set to 129 for the Translate settings to be applied appropriately.

Creating Indirect Textures

The following is a description of the means to determine image size and texture format when creating an indirect texture.

Image Size

It is not always necessary to make the image size for the indirect texture the same as that for the texture to be warped.
Although it can be smaller than that for the texture to be warped to reduce data size, this will make changes in warping more abrupt.

Texture Format

Although there are no limitations on the texture format for indirect textures, the format must be one in which alpha channels are permitted as the horizontal warping amount uses the A component.
The most standard method is to use the IA8 format to set 256 levels for the B and A components.

Texture Formats Used for Indirect Textures
Format | Description
I4, I8 | An effective format when the warping amount for both the horizontal and vertical directions are identical (such that the same warping will occur in both directions). Compared to the I8 format, changes in warping for the I4 format will be more abrupt.
IA4, IA8 | An effective format when the warping amount differs for the horizontal and vertical directions. Compared to the IA8 format, changes in warping for the IA4 format will be more abrupt.
RGBA8 | This is the only format that allows the expression of Translate values in the indirect matrix. Setting the G component to 129 allows the Translate processing for the indirect matrix to occur appropriately.
RGB565, RGB 5A3, Compression | These formats are not suited for indirect textures as they either lack alpha components or have insufficient bits for the appropriate control of warping.
CI4, CI8, CI14 | As described above for the respective color palette formats (IA8, RGB565, RGB5A3).

Mipmap

As with ordinary textures, mipmap processing can be performed on indirect textures.
The use of mipmaps allows the warping to be modified in response to distance from the camera.

Indirect Texture Settings

Filters, mapping, and texture matrix settings can be specified separately for indirect textures and the texture to be warped.
The use of different settings allows for various different texture expressions.


Using the Animation Sharing Feature

This section describes how to use the animation sharing feature.

Animation Sharing

When creating the layout for the game menu screen (among others), many items often use the same animation behavior.
For example, there are the following cases.

  • An animation that plays when the cursor overlaps a menu button.
  • An animation that plays when a user clicks a menu button.

The animation sharing feature exists to efficiently create this kind of data.
By using the animation sharing feature, you can create many identical animations and achieve animation sharing without making arrangements among programmers and performing special processing.
You can also confirm the results in the NW4R Viewer.

Creating Animation Sharing Information

To configure animation sharing, create sharing information in the Animation Sharing Information window.

Animation Sharing Information Window

Displaying the Animation Sharing Information Window

Select View > Sub-window > Animation Sharing Information to display the window.

Creating Sharing Information

Animation sharing information consists of the following.

  • Sharing source information (specified by pane))
  • Sharing target information (specified by group))

Click the New button (A) to display the registration dialog box. Configure the Shared Source Pane and the Target Group (for Sharing) (E)(F).

When a pane is selected in the layout window, it will automatically be configured as the Shared Source Pane.
Keep the following points in mind.

  • Do not specify a pane as the Shared Source Pane if it does not have an animation (not prohibited, but meaningless).
  • The Target Group includes the Shared Source Pane.

If the settings are correct, the Register button (G) will be enabled. Click it to register.
The registered sharing information will be registered in the list box (D).

Confirming the Sharing Information

To confirm sharing information that has been created, select the sharing information from the list view and click the Highlight sharing group button (C).
Panes that are not in the sharing target group will be hidden in the Layout window, and the shared source pane will be selected.
Pressing the button again will undo the hidden state.

Creating the Sharing Target Group

The tool has a feature to assist in creating groups for specifying the sharing target.
Click the Create Sharing Group button (B) to display the dialog box.

Create Group Dialog Box

Specify the Shared Source Pane (H) in the same way as you did when you created the sharing information.
Next, indicate the search origin for the sharing target pane in more than one hierarchy level (I). Starting at the shared source pane, the tool will follow the parent hierarchy only for the number of levels indicated here, and use that pane as the search origin.
The tool gathers all children (descendents) at the same number of hierarchy levels from the search origin pane as the shared source pane, and makes these members of the target group.
Press the Search button (J) to search. The member panes that were found will be enumerated in the lower list box (K).
You can confirm this if you use the Hide Non-Targets check box (L) and display only the member panes in the layout window.
Click the Create button (M) to create the group.

Previewing Animation Sharing Information

Animation sharing information does not affect behavior in the tool. You must display in the NW4R Viewer to confirm behavior.
Transfer to the Viewer as normal.
Layout data in which the animation sharing information is reflected will be displayed.


Sample Demos

Demos

  • Demo Showing a Game Title Screen


Demo Showing a Game Title Screen

This demo shows a game title.
Layout data is located in $(LayoutEditor_Root)/sample/demo/game_demo/sample_demo.rlyt.

Screen Image

About Font Data

Before execution, font data must be generated by running a batch file.
To generate font data, run the batch file (make_sample_font.bat) located in the same folder as the layout file.
(NintendoWare and the font converter package must both be installed correctly in order for the batch file to execute correctly.)
If the font is generated successfully, a file named sample_font.brfnt is generated in the same folder as the batch file.


User Interface

  • Main Window
  • Layout Window
  • Sub-window
  • Properties
  • Dialog Box
  • Shortcut Keys


Main Window

The main window is used as the workspace for LayoutEditor.

  1. Menus

    This command menu applies to the entire LayoutEditor.

  2. Workspace

    The Layout Window and sub-windows are displayed in this workspace for LayoutEditor.


Main Window Menu

Main Window Menu

  • File
  • Edit
  • Object
  • Select
  • View
  • Tools
  • Help


File Menu

This menu is primarily for the input/output of files.

  1. Creates new layouts.

    File > Create New

    The only new files that can be created are layout files.

  2. Opens the existing layout data file.

    File -> Open

    The only type of file that can be selected is a layout file.

  3. Adds the existing layout data file to the current layout and opens it.

    File -> Add and open

    The only types of files that can be selected are layouts and various types of animations.

  4. Saves the layout data file as a specified file type.

    File -> Save

    The only types of files that can be selected are layouts and various types of animations.

  5. Renames the layout data file and saves it.

    File -> Save as

  6. Closes the layout.

  7. Closes the Binary File Output Dialog Box.

  8. Closes the Layout Settings Dialog Box.

  9. Opens recently used files.

  10. Closes all layout files and exits the application.


Edit Menu

This menu is for making edits such as copying and pasting panes.

  1. Restores contents that were changed by editing and returns to the state before editing.

    Operations that involve the importing and exporting of files (open/close) will delete the edit history.

    Once that occurs, be aware that states prior to that action cannot be recovered.

  2. Reapplies edits to content that was restored and changes to the state after editing.

  3. Cuts the selected pane.

    Animation-related information is not pasted when pasting panes.

    Note that animation information is therefore lost when pasting a cut pane.

  4. Copies the selected pane.

  5. Pastes the cut or copied pane.

    Group settings and animation-related information is not pasted when using menu-based pasting. Be sure to use the Pane Information Paste Control Window when copying animations.

  6. Deletes the selected pane.
  7. Switches whether the animation is included in the copy target when copying and pasting.
  8. Displays the Tool Environment Setup Dialog Box.


Object Menu

The menu is mainly for creating panes and setting properties.

  1. Creates a new pane.

    Object > Create pane

    Picture panes cannot be created from this menu. Be sure to create picture panes on the Texture Management Window.

  2. Changes the mouse operation mode to that for setting parent-child hierarchical relationships for panes. The status bar display changes to "MakeHierarchy."

    Parent-child relationships can be set by selecting a parent pane by left-clicking the mouse and holding down the left mouse button while aligning the mouse cursor with a child pane and then releasing the left mouse button.

  3. Changes the mouse operation mode to that for disbanding pane parent-child hierarchies. The status bar display changes to "BreakHierarchy."

    Parent-child hierarchies can be disbanded by selecting a parent pane and holding down the left mouse button while aligning the mouse cursor with a child pane and then releasing the left mouse button.

  4. Links the movements of panes in parent-child hierarchical relationships.

  5. Creates a group from selected panes.

  6. Edits the group information of the selected panes.
    Displays the Pane Group Edit dialog.
    (Can be specified if one or more groups exist in the layout.)

  7. Locks selected panes.

  8. Unlocks all panes.

  9. Hides locked panes.

  10. Locks boundary condition panes.

  11. Hides selected panes.

  12. Displays all hidden panes.

  13. Locks hidden panes.

  14. Displays the Property Window.


Selection Menu

Use this menu to select panes.

  1. Select all panes.

  2. Unselect panes.

  3. Reverse selected/unselected status of panes.

  4. The pane that is in front of this pane in the rendering order becomes selected.

  5. The pane that is behind this pane in the rendering order becomes selected.


View Menu

The view menu relates to the display of sub-windows and layout windows.

  1. Opens a sub-window.

    View > Sub-window

  2. Hide all sub-windows.

  3. Snaps the window border lines when a sub-window is moved or its size is changed.

  4. Uses an outline display for the layout window pane.

  5. Draws boundary lines for the layout window pane.

  6. Increases the display magnification of the layout window.

  7. Decreases the display magnification of the layout window.

  8. Increases the size of the layout window.

  9. Decreases the size of the layout window.

  10. Restores the display zoom ratio to 100% and changes the size of the layout window so that the entire layout is displayed.

  11. Changes the display zoom ratio so that selected panes are entirely displayed in the window.

  12. Displays a grid on the layout window.

  13. Snaps panes to the grid when they are moved.


Tools Menu

  1. Deletes font resources not used in the layout.

  2. Loads consecutive textures and creates a texture pattern animation pane.
    The Load Sequential Textures dialog will be displayed.

    Tools > Load Sequential Textures

  3. All textures and fonts used in the layout are copied to the specified folder. All reference paths in the layout are changed to the copy destination.
    The Co-locate Textures and Fonts dialog box will be displayed.

    Tools > Co-locate Textures and Fonts

  4. Previews data using the Viewer.


Help Menu

  1. Displays help.

  2. Displays the NW4R Viewer help.

  3. Displays version information.


Layout Window

The Layout Window is a workspace used to edit layouts.

  1. Workspace for layouts. You can arrange panes to create layouts.

  2. Panes such as picture panes and window panes.

    Panes surrounded by red borders are selected panes. Locked panes are surrounded by a blue border.

  3. Frame area

    This area is used when displaying the layout on the screen.

    Displays the Safety Frame guide, using the color that was selected when the Safety Frame was specified for render in Tool Environment Settings.

  4. The coordinates of the current location of the mouse cursor are displayed.

  5. Displays information about the selected pane.

    The pane name, display location, and coordinate offsets when moving the pane are displayed, starting from the left.

  6. Displays the current operating mode of the mouse.

    Idling
    The mouse is not doing anything (idling).
    Selecting
    The mouse is being dragged to specify an area.
    Tweaking
    The mouse is dragging a pane.
    ViewTrans
    The SPACEBAR is pressed, and the mouse is moving the display area of the Layout window.
    MakeHierarchy
    The mouse is setting parent-child hierarchy relationships among panes.
    BrakeHierarchy
    The mouse is disbanding parent-child hierarchy relationships among panes.

  7. Whether the translation of the parent pane is reflected in the child pane is indicated with the icon.
    This setting can be toggled in Object > Apply Parent Transformations to Children.
    In addition, the settings can be temporarily reversed by pressing CTRL.

    Parent pane translation is applied to child panes.

    Parent pane translation is not applied to child panes.

  8. Displays the current display zoom ratio. The display zoom ratio can be selected from a combo box.

  9. The display zoom ratio can be changed using a slider.

  10. Zoom In and Zoom Out buttons.

    These can change the display zoom ratio.

  11. Shows the location of the origin of the layout.

    Coordinates take positive values to the upper right of the origin.


Sub-Window

  • Curve Editor
  • Texture Management
  • Group Management
  • Parent-Child Hierarchy Management
  • Pane Information Paste Control
  • Editing Animation Segment Tags
  • Pane Search
  • Color Sample
  • Animation Sharing


Curve Editor

This window is used to edit animation curves.

  1. Menus

    This command menu is for the Curve Editor.

  2. Graph Display Area

    This area is used to display and edit animation curves.

    Select the slope and other items to be edited by using the left mouse button to specify a range. The display area of the graph can be moved by dragging while pressing the space key and the left mouse button. The scale of the graph can be changed by dragging while pressing the space key and the right mouse button.

  3. Animation Curves

    The segment to be changed by editing keys is displayed using a white line.

    Key and slope edits are applied to the animation curve display in real time.

  4. Selected Key Frame

    The key frame that is the adjustment target.

    During key-frame selection, the key-frame point can be moved by dragging while holding down the right mouse button. When moving a key frame point by holding down the SHIFT key and dragging while holding down the right mouse button, either only the key-frame time (horizontal direction) or only the key value (vertical direction) is changed.

    The points at both ends of the key frame represent the slope adjustment points. During key-frame selection, the orientation of a slope can be adjusted by selecting the range for the slope adjustment points and then dragging while holding down the right mouse button.

    The scale adjustment grid will be displayed if the T key is pressed during key-frame selection. The scale can be adjusted by manipulating the grid.

  5. Attribute Tree

    The pane animation item (attribute) is displayed in tree view.

    When a node is selected, all animation curves set for attributes at or below the selected node are displayed.

    As shown below, nodes display the status of the corresponding attributes.

    • The attribute with animation set and the node that has it as a subordinate appear in red.
    • Whether an attribute is selected (= target for operations) is displayed with an icon.
    • The attributes that have selected key frames are displayed with a light blue background color.

    The feature that automatically displays nodes that have selected key frames can be set from Select → Display selected curve automatically.

    Icon | Description
    Node (selected) | Indicates that the node includes attributes that are the target of operations
    Node (unselected) | Indicates that the node does not include attributes that are the target of operations
    Attribute (selected) | Indicates that the attribute is the target of operations
    Attribute (unselected) | Indicates that the attribute is not the target of operations

  6. Animation Frame Bar

    The Animation Frame Bar is a visual representation of the current time of the animation frame.

    The current frame position is displayed using a blue rectangle. The frame position can be changed by clicking with the mouse and dragging.

  7. Key Frame Bar

    The Key Frame Bar is a visual representation of the time in the animation frame where the key frame is located.

    The key frame is displayed using a red rectangle. The segment between key frames displayed in light blue is the animation segment.

  8. Animation Frame

    The Animation Frame shows the current time of the animation frame as a numeric value.

    The current time of the animation frame can be controlled using each of the buttons.

    Buttons | Features
    Return to playback start frame | Return to playback start frame
    Go back one frame | Go back one frame
    Go back one key frame | Go back one key frame
    Reverse Playback | Reverse playback
    Stop | Stop
    Playback | Playback
    Forward one key frame | Forward one key frame
    Forward one frame | Forward one frame
    Forward to playback end frame | Forward to playback end frame

  9. Set animation frame range

    Set enabled range for animation frames and other items.

    The pair of values outside represent the start and end frames, while the pair of values inside represent the playback start and playback end frames. Be sure to change the playback start and playback end frames when you want to play only a particular animation segment.

  10. Key Frame Information Display Area

    This area displays information about the currently selected key frame. The key frame time, key value, and sync with the left-right slope are displayed from the left.

  11. Control of Display Target Switching

    Configures whether or not to switch the edit target in the Curve Editor to correspond to the pane selection in the Layout window.
    Use the update button to perform updates when automatic updates are disabled.

  12. Selected Key Frame's Arrow Key Movement Speed Setting

    Configures the amount by which the selected key frame is moved by the arrow key.
    Click to display the Settings dialog box.
    When disabled, the tool automatically configures an appropriate value based on the display scale.

Curve Editor Operations

Operations that can be performed when editing animation curves are gathered together and described here.

Purpose Method of Operation
Creating a key
  • Execute the menu operation Key → Create key (shortcut: S)
  • Click the Create Key icon
Selecting a key
  • Use the left mouse button to specify a range to surround the key frame point in the graph display area. (To add to the selection, press the SHIFT key while performing the operation.)
  • Execute the menu operation Select → Select all keys (shortcut: CTRL+A).
  • Click the Previous key and Next key buttons.
Changing the key frame time
  • Enter a value for the key frame time in the Key Frame Information Display Area.
  • Drag the slope selected in the graph display area while holding down the right mouse button. You can change only the key frame time by dragging while holding down the SHIFT key.
  • Press the T key while a key is selected in the graph display area. You can change the time by manipulating the scale adjustment grid.
  • Use the scale adjustment feature from Edit → Scale Adjustment.
Changing key values
  • Enter key values in the key frame information display area.
  • Drag the slope selected in the graph display area while holding down the right mouse button. At this point, dragging while holding down SHIFT changes only the key value.
  • Press T while a key is selected in the graph display area. You can change the value by manipulating the scale adjustment grid.
  • Use the scale adjustment feature from Edit → Scale Adjustment.
Fine-tuning the key value.
  • Use the arrow key while a key frame is selected.
Changing the slope
  • After selecting the slope adjustment point by specifying a range with the left mouse button to surround the slope adjustment point for the selected slope, drag the slope adjustment point by holding down the right mouse button.
  • Perform the menu operation Key → Set Slope to Spline (shortcut: Ctrl+1).
  • Perform the menu operation Key → Set Slope to Linear Interpolation (shortcut: Ctrl+2).
  • Perform the menu operation Key → Set Slope to 0 (shortcut: Ctrl+3).
  • Perform the menu operation Key → Set Slope to Step (shortcut: Ctrl+4).
  • Click on each icon type Slope settings (spline, linear, zero, or step).


Curve Editor Menu

Curve Editor Menu

  • Key
  • Edit
  • Select
  • View
  • Curve


Curve Editor Key Menu

Curve Editor Key Menu

  1. Sets the left right slope so that it is synchronized and can be changed.

  2. Release right/left slope synchronization.

  3. Sets the key slope type to spline. The right/left slope is changed to the synchronization setting.

  4. Sets the key slope type to linear interpolation. The right/left slope is changed to the asynchronous setting.

  5. Sets the key slope type to flat (zero). The right/left slope is changed to the synchronization setting.

  6. Sets the key slope type to step. The right/left slope is changed to the synchronization setting. The slope value is set to zero.

  7. Displays the key frame values (time, value). The value can be edited by inputting numerical values.

  8. Selects the key in front of the currently selected key.

  9. Selects the next key from the currently selected key.

  10. Creates a new key.

  11. Sets the key slope (spline, linear interpolation, flat, or step).


Curve Editor Selection Menu

Curve Editor Selection Menu

  1. Selects all keys.

  2. Sets whether to automatically display the nodes corresponding to the selected curve (curve with the selected key frame) with the attribute tree.


Curve Editor Edit Menu

Curve Editor Edit Menu

  1. Restores to a pre-edited state.

  2. Redoes the edit.

  3. Cuts the selected key.

  4. Copies the selected key.

  5. Pastes the selected key.

  6. Deletes the selected key.

  7. Toggles the method for pasting content of copied key frames.
    If "paste as relative values" is selected, key frames will be pasted as relative values from the current values of the destination attributes.

  8. Adjusts the scale.
    The Adjust Time Scale dialog will be displayed.

    Adjust Time Scale Dialog


Curve Editor View Menu

Curve Editor View Menu

  1. Changes the scaling and position of the graph display area such that the entire curve is displayed.

  2. Changes the scaling and position of the graph display area such that all selected keys are displayed.

  3. Increases magnification of the graph display area.

  4. Decreases magnification of the graph display area.

  5. Changes whether an animation is displayed in a segment where no keys are set.

  6. Changes whether only valid items are displayed.
    Items related to parameters that are not used are hidden (for example, items related to a texture that is not used).
    Normally, leave this set to enabled.

  7. Updates the display items to be the panes selected in the layout window. Only usable when automatic updates by selection are disabled.

  8. Configures the item filter feature.
    Use the item filter feature to filter the items displayed in the attribute tree and selectively display only the ones that you want to edit.

  9. Enables or disables the item filter feature.

  10. Creates a new item filter.

  11. Edits the item filter currently being used.

  12. Deletes all item filters.


Curve Editor Curve Menu

Curve Editor Curve Menu

  1. This menu makes settings for displaying the animation curve before the key frame segment (segment for which keys are set).

    Left Side of the Curve Editor Curve Menu

    1. Displays using key values at the start of the segment.
    2. Continuously displays the animation curve to the left of the key frame segment.

  2. This menu makes settings for displaying the animation curve after the key frame segment (segment for which keys are set).

    Right Side of the Curve Editor Curve Menu

    1. Displays using key values at the end of the segment.
    2. Continuously displays the animation curve to the right of the key frame segment.


Shortcut Keys for the Curve Editor

Key | Menus | Operation
CTRL+X | Edit → Cut | Cuts the selected key.
CTRL+C | Edit → Copy | Copies the selected key.
CTRL+V | Edit → Paste | Pastes the cut or copied key.
Delete, BACKSPACE | Edit → Delete | Deletes the selected key.
CTRL+Z | Edit → Cancel | Restores to a pre-edited state.
CTRL+SHIFT+Z | Edit → Redo | Redoes the edit.
CTRL+A | Select → Select All Keys | Selects all keys.
A | View → View entire curve | Changes the scaling of the graph display area so that the entire curve is displayed.
F | View → View entire selection | Changes the scaling so that the selected part of the curve is displayed in the entire graph area.
CTRL+PLUS SIGN | View → Zoom in | Changes the scaling of the graph display area so that the display is enlarged.
CTRL+MINUS SIGN | View → Zoom out | Changes the scaling of the graph display area so that the display is reduced.
S | Keys → Create key | Creates a key at the current frame time.
CTRL+1 | Slope → Set slope to spline | Sets the selected key to a spline interpolation key.
CTRL+2 | Slope → Set linear interpolation for slope | Sets the selected key to a linear interpolation key.
CTRL+3 | Slope → Sets slope to zero | Sets the slope of the selected key to zero.
CTRL+4 | Slope → Set step for slope | Sets the selected key to a step key.


Group Management Window

This window manages groups of layouts.

Group Management Window

  1. Menus

    This command menu is for the Group Management Window.

  2. Displays groups in tree format. Displays the type and status of panes belonging to a group using icons.

    On the Layout window, panes belonging to a group can be selected by selecting a node for that group. You can also select a pane on the Layout window.

    Double-clicking a pane displays the Properties window.

    Right-clicking displays a Command menu popup.

    Icon | Description
    Normal | Locked | Hidden
    RootGroup - - RootGroup
    Groups - - Groups
    Null pane (normal) | Null pane (locked) | Null pane (hidden) | Null pane
    Picture pane (normal) | Picture pane (locked) | Picture pane (hidden) | Picture pane
    Text box pane (normal) | Text box pane (locked) | Text box pane (hidden) | Text box pane
    Window pane (normal) | Window pane (locked) | Window pane (hidden) | Window pane
    Boundary condition pane (normal) | Boundary condition pane (locked) | Boundary condition pane (hidden) | Boundary condition pane

  3. Parameter Adjustment Icon

    Icon that adjusts a pane's parameters. Display/Hide is set by the eye icon on the left. Locking is set by the lock icon on the right.

    The view mode that can be set using the eye icon is the mode that a designer can use to temporarily hide panes while editing with this tool. The settings made with the eye icon are not reflected in the binary data; in other words, the settings are not reflected in the actual game. During previewing, you can control the behavior by selecting Edit → Tool Environment Settings and selecting the check box next to Display hidden panes as null panes. The settings made with the lock icon are not applied to the binary data either.


Group Management Window Menus

Group Management Window Menus

  • Features


Function Menu of the Group Management Window

Function Menu of the Group Management Window

  1. Cuts the selected pane.

  2. Copies the selected pane.

  3. Pastes into the selected pane.

  4. Deletes the selected pane.

  5. Displays a window for editing the selected group.

    Group Edit Window

    1. Enter the group name.

      Note that the original name will be reapplied if you try to enter the name of an already existing group.

    2. Enter a comment.

  6. Removes the selected group and/or pane from group management.

  7. Locks panes belonging to the selected group (locks the pane in question if a pane is selected).

  8. Unlocks panes belonging to the selected group (unlocks the pane in question if a pane is selected).

  9. Hides panes belonging to the selected group (hides the pane in question if a pane is selected).

  10. Displays hidden panes belonging to the selected group (displays the pane in question if a pane is selected).

  11. Sets whether the selected pane is displayed automatically.
    If this item is enabled, the corresponding node is automatically displayed when the pane is selected in the layout window.


Parent-Child Hierarchy Management Window

This window manages the parent-child relationships among panes.

Parent-Child Hierarchy Management Window

  1. Menus

    This command menu applies to the Parent-Child Hierarchy Management window.

  2. The parent-child relationship of panes is displayed in tree format. The types and states of panes are displayed using icons.

    Panes below a given node can be selected by selecting that node. Parent-child relationships can be changed by dragging and dropping panes.

    Selecting items while pressing SHIFT enables the range selection of multiple items.
    When you select the start item and the end item of a range of items while pressing SHIFT, the items between these two items are also selected all at once.

    In addition, selecting individual items while pressing CTRL enables additional selections.

    Double-clicking a pane displays the Properties window.

    Right-clicking displays a Command menu popup.

    Other than the RootPane, the name of a pane can be changed by clicking and selecting the pane.

    Icon | Description
    Normal | Locked | Hidden
    Null pane (normal) | Null pane (locked) | Null pane (hidden) | Null pane
    Picture pane (normal) | Picture pane (locked) | Picture pane (hidden) | Picture pane
    Text box pane (normal) | Text box pane (locked) | Text box pane (hidden) | Text box pane
    Window pane (normal) | Window pane (locked) | Window pane (hidden) | Window pane
    Boundary condition pane (normal) | Boundary condition pane (locked) | Boundary condition pane (hidden) | Boundary condition pane

  3. Parameter Adjustment Icon

    Icon that adjusts a pane's parameters. Display/Hide is set by the eye icon on the left. Locking is set by the lock icon on the right.

    The view mode that can be set using the eye icon is the mode that a designer can use to temporarily hide panes while editing with this tool. The settings made with the eye icon are not reflected in the binary data; in other words, the settings are not reflected in the actual game. During previewing, you can control the behavior by selecting Edit → Tool Environment Settings and selecting the check box next to Display hidden panes as null panes. The settings made with the lock icon are not applied to the binary data either.


Menu on the Parent-Child Hierarchy Management Window

Menu on the Parent-Child Hierarchy Management Window

  • Features


Function Menu in the Parent-Child Hierarchy Management Window

Function Menu in the Parent-Child Hierarchy Management Window

  1. Cuts the selected pane.

  2. Copies the selected pane.

  3. Pastes into the selected pane.

  4. Deletes the selected pane.

  5. Locks selected panes.

  6. Unlocks selected panes.

  7. Hides selected panes.

  8. Displays selected panes.

  9. Selects all selected panes and associated children.

  10. Locks selected panes and associated children.

  11. Unlocks selected panes and associated children.

  12. Hides selected panes and associated children.

  13. Displays hidden panes for selected panes and associated children.

  14. Displays the selected pane's properties.

  15. Sets whether the selected pane is displayed automatically.
    If this item is enabled, the corresponding node is automatically displayed when the pane is selected in the layout window.


Texture Management Window

Use this window to manage textures in the layout.

Texture Management Window

  1. Loads texture image files.

  2. Creates a picture pane using the selected texture.

  3. Updates the display based on the latest information. Click here when the texture image has been changed externally.

  4. Resets the image file path for the texture. Use when the texture position, such as the folder structure, changes. In this case, the specified file must have the same filename.

  5. Selects textures not used in the layout.

  6. Deletes the selected texture.

  7. Selects the display format for texture information.

    Image View format

    Displays texture information as a list of images.

    Detail View format

    Displays texture information in a list.

  8. This area is used to display texture information. Displays texture information in either Image View format or Detail View format.

    Image View format

    Texture Management Image View Format

    1. Displays a list of textures using resized images.
    2. The name of the texture.
    Detail View format

    Texture Management Detail View Format

    1. The name of the texture.

    2. Selects the texture format to use after binary conversion. If a texture image file is a normal TGA, it is possible to click on the format name to display the change candidate combo box and change it to another format. If it is a NW4R TGA, it is not possible to change the format. A lock mark will be displayed, which indicates that change is prohibited.

      Be aware of the Viewer display conditions when using the CI14 format. Correct previewing may not be possible. For details on Viewer display conditions, see Viewer help.
      I4
      4-bit Intensity
      IA4
      4-bit intensity + 4-bit alpha (8 bits/texel)
      I8
      8-bit Intensity
      IA8
      8-bit intensity + 8-bit alpha (16 bits/texel)
      RGB565
      16-bit RGB (R5+G6+B5)
      RGB5A3
      RGB555 format (opaque) or RGBA4443 format (translucent)
      RGBA8
      32-bit full color RGBA (8 bits per channel)
      CMPR
      Compressed format (4 bits/texel)
      C4
      4-bit color index format (for NW4RTGA)
      C8
      8-bit color index format (for NW4RTGA)
      C14
      14-bit color index format (for NW4RTGA)
    3. The texture width.
    4. The texture height.
    5. The file path where the texture is saved.
    6. This area is used to display texture images. Displays the selected texture's image.


Pane Information Paste Control Window

This window is used to select information to be copied and pasted.

This is used when you want to paste animation information that cannot be pasted using the paste pane item on the menu. It is also used when you want to set the same size and position for more than one pane.

The following points must be taken into account in regards to paste information.

  • The paste source pane must be a single pane.
    When copying the paste source pane, perform the copy by selecting a single pane.
  • The target parameter is valid only if it can be pasted onto the destination pane.
    If the destination consists of multiple panes, it must be possible to paste the target parameter onto all of the panes.

Pane Information Paste Control Window

  1. Selects the basic information for the pane to be copied.

    Position
    Display position of the pane
    Size
    Size of the pane
    Rotation
    Rotation of the pane
    Comments
    Comment attached to the pane
    User information
    User information attached to the pane
    Transparency
    Transparency of the pane
    Miscellaneous flags
    Flags for setting things such as whether to display the pane

  2. Selects the information for the picture pane to be copied. The pane to be copied is a picture pane.

    Vertex color
    Vertex color setting for the four corners
    Texture coordinates
    The number of texture coordinates to be used and coordinate settings

  3. Selects the information for the textbox pane to be copied. The pane to be copied is a textbox pane.

    Font
    Font used to display text
    String
    Text to be displayed
    Position of text
    Standard display position of text
    Text size
    Display size of the text
    Character spacing
    Space displayed between characters
    Text color
    Display color of the text

  4. Selects the information for the window pane to be copied. The pane to be copied is a window pane.

    Content region information
    Content area settings
    Frame region information
    Frame region settings

  5. Selects the information for the material to be copied. The pane being copied includes a material.

    Textures
    The texture to be used and associated settings
    Color interpolation
    Monochrome interpolation color setting
    Detailed information
    Detailed settings for the material such as its material color

  6. Selects the information for the vector component to be copied. The item being copied is vector component information (representing pane position, rotation, and so on).

    X value
    X-axis component of the vector
    Y value
    Y-axis component of the vector
    Z value
    Z-axis component of the vector

  7. Selects the information for the color component to be copied. The item being copied is information that includes color components (such as the transparency of a frame and vertex color).

    R
    R component of the color
    G
    G component of the color
    B
    B component of the color
    A
    A component of the color

  8. Selects the animation format to be copied.

    Pane SRT
    Animation in which the Scale, Rotate, Translate, and/or Size of a pane is made to change
    Visibility
    Animation in which the visibility of a pane is made to change
    Vertex Color
    Animation in which the vertex color of a pane is made to change
    Material Color
    Animation in which the material color of a pane is made to change
    Texture pattern
    Animation in which the texture displayed for panes is swapped
    Texture SRT
    Animation in which the Scale, Rotate, and/or Translate of textures displayed in a pane are made to change

  9. Deletes the key information of the animation frame of the target pane and completely replaces it with that of the animation of the copy source pane.

  10. Pastes the specified information to the selected pane.


Edit Animation Segment Tags Window

This window is for editing and managing tags that represent animation segments.

Edit Animation Segment Tags Window

  1. Displays the Edit Animation Segment Tags dialog box.

    Tag Edit Window

    1. Specifies the tag for editing.
    2. Specifies the edit operation to specify the frame length in a batch. A frame length of greater than zero must be specified.
    3. Specifies the edit operation to add an offset value to the frame segment.

  2. Load animation segment tag information from a file.

  3. Write animation segment tag information to a file.

  4. Display a list of tags.

    Name
    Name applied to the tag
    Start
    Start frame
    End
    End frame
    Comments
    Comments
    Target groups
    A group that indicates the tag segment animation's target pane.

  5. Display a window for adding tags.

    Add Tags window

    1. Enter the name of the tag. The Add button cannot be clicked if the name of an existing tag is entered.
    2. Enter a comment.
    3. Enter the start frame.
    4. Enter the end frame.

  6. Delete the selected tag.

  7. Moves the position of the selected tag up or down in the list.

  8. This is the name of the selected tag. Although the name can be changed, the original tag name will be restored if an existing tag name is entered.

  9. This is the comment attached to the selected tag.

  10. The start frame and end frame for the selected tag.

  11. Set the start frame and the end frame tags for the animation playback range of the Curve Editor.

  12. Specify the group that indicates the tag segment animation's target pane.

    Click the Detailed Settings button to display the Group Selection dialog.

    Group Selection Dialog

    The Recursively associate checkbox specifies whether or not the animation target includes the child hierarchy panes of the group pane.

    This feature requires the new file format. Therefore, icon banner data cannot be used.

  13. Configure a binary file's export settings.

    Select the playback mode for the animation during binary file output.

    One-time
    The output is a one-time playback animation.
    Loop
    The output is a loop playback animation.
    Wait
    The output is a single frame of loop playback animation.

    Select the animation format to be output to the binary file.

    Pane SRT
    Vertex Colors
    Visibility
    Material color
    Texture pattern
    Texture SRT


Pane Search Window

Searches for panes that are in the layout.

Pane Search Window

  1. Specifies the type of the search target character string.
    Can be specified as the pane name, user information, or comment.

  2. Executes operations available in the search window.

    Search next
    Searches for the next candidate.
    Search previous
    Searches for the previous candidate.
    Add to search
    Adds the search results to the search pane set.
    Replace
    Performs replace operations with the current conditions.
    Select all
    Selects all panes conforming to the search.

  3. Input the search character string. If the regular expression option is set, input a regular expression.

  4. Input the replace result character string. The replace option must be specified.

  5. Specifies the search options.

    Regular expressions
    Use regular expressions to specify the search character string.
    Auto Select
    Selects panes matching the search.
    Replace
    Performs the character string replace process for the search character string.

  6. The search results are displayed.

    Pane name
    The name of the pane matching the search character string is displayed.
    Before replace
    The character string before performing the replace operation is displayed. The part that matches is displayed in red.
    After replace
    The character string after performing the replace operation is displayed. The part that was replaced is displayed in red.

  7. Searches for the next candidate.

  8. Performs replace operations with the current conditions.


Color Sample Window

Controls the colors used while editing. Drag-and-drop setting operation is available between various configuration buttons for editing color parameters. Also, the color information list can be imported and exported as a file. Standardize color settings within a project through the common use of these color information files.

Color Sample Window

  1. Creates new color information. The Color Information Dialog Box is displayed for data input.

    Color Information Dialog Box

    1. Sets the color. Click the button to display the Color Picker Dialog Box and enter data.
    2. Enters a comment related to the color information.
    3. Confirms data entry.
    4. Cancels data entry.

  2. Edits color information selected in the color information list. The Color Information dialog is displayed for data input.

  3. Deletes color information selected in the color information list.

  4. Writes the color information list to a file.

  5. Loads the color information list from a file.

  6. Changes the way the color information list is displayed.

    Detail View
    Colors and comments appear in tabular format.
    Image View
    Colors appear as small icons. Comments appear by mousing over the icons.

  7. Displays and edits comments recorded in color information.

  8. Color information list. Displays a list of color information.


Animation Sharing Information Window

Edits configuration information for animation sharing.

This feature uses the new file format version. For this reason, this feature cannot be used in icon banner data.

Animation Sharing Information Window

  1. Creates new animation sharing information.

    Register animation sharing information.

    1. Specifies the shared source pane for animation.
      Note that although specifying a pane without an animation is not prohibited, it is meaningless to do so.
    2. Sets the pane selected in the layout window as the shared source pane.
    3. Specifies the animation sharing target by group.
    4. Edits the comment to attach to the sharing target.
    5. Confirms editing.
    6. Cancels editing.

  2. Edits sharing information selected in the sharing information list.

  3. Creates a group used for sharing information when specifying a sharing target.

    Create a new group for animation sharing.

    1. Specifies the shared source pane for animation.
      Note that although specifying a pane without an animation is not prohibited, it is meaningless to do so.
    2. Sets the pane selected in the layout window as the shared source pane.
    3. Specifies the position, in hierarchy levels, of the pane that is the search origin for the sharing target.
      Starting at the shared source pane, the tool will follow the parent hierarchy only for the number of levels indicated here, and use that pane as the search origin.
      The tool gathers all children (descendents) at the same number of hierarchy levels from the search origin pane as the shared source pane, and makes these into members of the target group.
    4. Uses panes that have the same type as the shared source pane when searching for the sharing target.
    5. Runs the search.
    6. Configures the target group name.
    7. Displays in a list the member panes found for the target group.
    8. Hides panes in the layout window that were not found for the target group.
    9. Confirms editing and creates a new group.
    10. Cancels editing.

  4. Hides panes that are not the target of the sharing information selected in the sharing information list.

  5. Hides panes that are not the target of the sharing information selected in the sharing information list.

  6. Sharing information list. Displays sharing information in a list.


Property Window

Properties

The following property items can be edited.

When using detailed information for each pane that includes a material, property items where "(detail)" appears after the item name are not displayed unless the "Make detailed material settings" check box has been checked.

  • Panes
    • Basic Pane Information
    • Picture Pane Information
    • Text Box Pane Information
    • Window Pane Information
  • Material
    • Textures
    • Color Interpolation Settings
    • Color (detail)
    • PE (detail)
    • TEV (detail)
      • Swap Table (detail)
      • Color Register (detail)
      • Constant Register (detail)
      • Stage (detail)
    • Indirect Matrix (detail)
    • Indirect Stage (detail)
  • Extended User Data

PropertyWindow

This window is for editing pane properties.

  1. Fix panes to be displayed.

    Panes to be displayed on the Property window do not change even if other panes are selected while panes are fixed.

  2. Display the names of panes to be displayed.

  3. Displays property items in tree format.

    Property details are displayed in the property editing area on the right when a property item is selected.

    The property items that appear depend on the type of pane.

  4. Property editing area in which property details are displayed.

    Properties are edited here.

  5. Copy the details of the selected property item.

  6. Paste the copied property item details.

    Details cannot be pasted unless the same property items as being copied are set.

  7. Display the Property window for the same pane in another window. There are no restrictions on the number of windows that can be displayed.

    Using this feature, the following operations are possible.

    • The display of the properties for several panes at once.
    • The display of various property items for the same pane at once.


Material Properties

Materials have the following property items.

When using detailed information for each pane that includes a material, property items where "(detail)" appears after the item name are not displayed unless the "Make detailed material settings" check box has been checked.

Note that detailed material settings are not reflected when drawing on LayoutEditor.

  • Textures
  • Color Interpolation Settings
  • Color (detail)
  • PE (detail)
  • TEV (detail)
    • Swap Table (detail)
    • Color Register (detail)
    • Constant Register (detail)
    • Stage (detail)
  • Indirect Matrix (detail)
  • Indirect Stage (detail)

Displaying Property Items Using a Tree Format

When performing detailed material edits, property items are added to the tree display in its initial state.

Display tree in initial status

Tree under normal conditions

Tree display during detailed editing

Tree with details


Texture Properties

Use texture properties to edit detailed settings of textures displayed in a pane.

This is divided into two parts: the upper part for managing textures and the lower part for making settings.

Common Parts of Texture Management and Settings

Texture Properties (Common Parts)

  1. Sets the textures to be used by a material.

    Texture settings are subject to automatic TEV calculations. A mark like the following is displayed in the upper right when settings are subject to automatic TEV calculations.

    Furthemore, the number of textures used and the number of TEV stages are displayed in the lower left of the Properties page. The button for turning automatic TEV calculations on/off is also located here.

    When Automatic TEV Calculations are OFF

    Automatic TEV calculations are off

    When Automatic TEV Calculations are ON

    Automatic TEV calculations are on

  2. The texture's position is changed by moving the selected texture to the left.

  3. The texture's position is changed by moving the selected texture to the right.

  4. The texture is added to the texture having the next number after the selected one.

    The dialog shown when the button is pressed is described in The Adding Textures Dialog below.

  5. Deletes the selected texture.

  6. Displays a list of textures used.

  7. Displays a thumbnail image of the texture.

    The image resulting from the merging of the used palettes is displayed for textures that have color index formats.

  8. Displays the texture name.

    A palette name is displayed after the texture name for textures that have a color index format.

  9. Displays the format and size of the texture.

  10. Changes the texture's image.

    The dialog displayed when the button is pressed is the same as the Adding Textures Dialog (Data Selection Page).

  11. Performs settings for the selected texture.

    Selects the tab for making settings.

    Image Settings

    Performs texture image-specific settings.

    Details are explained on the Image tab below.

    Mapping Settings

    Performs texture mapping-specific settings.

    Details are explained on the Mapping tab below.

    Texture Pattern Animations

    Performs settings related to texture pattern animations.

    Details are explained under Texture Pattern Animation Settings below.

Image Settings

This page is used to set the repeat method and filtering settings for textures.

Texture Properties (Image Settings)

  1. Sets the repeat method for the U (V) direction.

    Clamp

    Clamping within the bounds of the image.

    Repeat

    Simply repeats.

    This can be selected only if the texture width (height) is a power of 2.

    Mirror

    Repeats with mirroring.

    This can be selected only if the texture width (height) is a power of 2.

  2. Sets the filtering for when texels are reduced or magnified and then displayed.

    near

    Point sampling.

    linear

    Bilinear filtering.

    Linear is used for icon banner data, regardless of the settings.
    Do not specify anything other than Linear for icon banner data.

Mapping Settings

This is used to make settings related to texture mapping and the scaling, rotation, and translation of textures using a texture matrix.

Texture Properties (Mapping Settings)

  1. Select the number of the UV coordinate of the vertex used during UV mapping.

  2. Sets the filtering for when texels are reduced or magnified and then displayed.

    ScaleU, ScaleV

    Sets the Scale value.

    Link changes

    Specifies whether the U and V directions of the scale value are changed in unison.

    Rotate

    Sets a Rotate value.

    TranslateU, TranslateV

    Sets a Translate value.

    Reset

    Resets the settings to the default.

Texture Pattern Animation Settings

Performs settings related to texture pattern animations.

Texture Properties (Texture Pattern Animation Settings)

  1. Displays a list of registered textures.

    Name

    The name of the texture.

    Width

    The texture width.

    Height

    The texture height.

    Format

    The texture format.

  2. Displays a list of textures registered for the texture pattern animation.

    Number

    Represents the registration number of the texture.

    Name

    The name of the texture.

  3. Adds the textures selected on the registered texture list to the texture pattern list.

  4. Deletes the textures selected on the texture pattern list.

  5. Moves the textures selected on the texture pattern list to the top.

  6. Moves the textures selected on the texture pattern list to the bottom.

  7. Clears the texture pattern list.

Add Texture Dialog Box

Selects the texture to be added.
The dialog box is split into the following two pages:

  • Texture Type selection page
  • Texture Data Selection Page

Texture Type Selection Page

Selects the texture type.

The Adding Textures Dialog, Texture Type Selection Page

  1. Selects the type of the texture to be added.
    Standard texture
    Textures mapped based on the vertex UV coordinates, normal vectors, and position coordinates.

Texture Data Selection Page

Selects the texture data.

The Adding Textures Dialog, Texture Data Selection Page

  1. Selects the texture to be used from the loaded textures.

  2. Displays the format and size of the selected texture.

  3. Selects the palette to be used from the loaded palettes.

    This is only enabled when color-index format textures are selected.

  4. Displays the format and number of colors for the selected palette.

    This is only enabled when color-index format textures are selected.


Color Interpolation Configuration Properties

Use these properties to edit detailed color interpolation settings.

Configure each color by clicking on the button and using the Color Picker.

Apply color information to the Color Sample Window using drag-and-drop operations.

Color Interpolation Configuration Properties

  1. Sets the color to use as black for two-color interpolation.

  2. Sets the color to use as white for two-color interpolation.


Material Color Properties

These properties are used to edit detailed material color settings.

Material Color Properties

  1. Displays color samples based on the current settings.

  2. Displays alpha samples based on the current settings.

  3. Configures the input source of the diffuse component.

    Material Color
    Uses the material's diffuse color.
    Vertex Color

    Uses the vertex color of the polygon that applies the material.

    This can be set only if the polygon that applies the material has a vertex color.

  4. Configures the input source of the alpha component.

    Material Alpha
    Uses the material's alpha color.
    Vertex Alpha

    Uses the vertex alpha of the polygon that applies the material.

    This can be set only if polygons that apply the material have a vertex color.

  5. Does not perform light calculations.

  6. Sets the material's diffuse color.

    Set the diffuse color in Color Picker Dialog Box. The slider changes only the color's brightness.

  7. Sets the material's alpha.

  8. Indicates the hardware registers that the material's color components and alpha are assigned to.

    This assignment cannot be changed.


PE Properties

Use these properties to edit detailed PE-related settings.

  1. Displays the current settings. It will be one of the following values.
    Opaque
    Setting for standard opaque rendering.
    Remove
    Setting for standard removal (decal) rendering.
    Translucent
    Setting for standard translucent rendering.
    Additive composition
    Setting for standard additive composition rendering.
    Multiplicative composition
    Setting for standard multiplicative composition rendering.
    Subtractive composition
    Setting for standard subtractive composition rendering.
    Custom
    Setting that does not match any of the above.

  2. Configures for standard rendering.

  3. Sets the conditions for Compare Processes 0 and 1 during alpha comparison.

    Never pass
    Never passes.
    Alpha < value
    Passes when Pixel alpha < Reference value.
    Alpha <= Value
    Passes when Pixel alpha <= Reference value.
    Alpha == Value
    Passes when Pixel alpha == Reference value.
    Alpha != Value
    Passes when Pixel alpha != Reference value.
    Alpha >= Value
    Passes when Pixel alpha >= Reference value.
    Alpha > Value
    Passes when Pixel alpha > Reference value.
    Always passes
    Always passes.

    Sets the calculation method for Compare Process 0 and Compare Process 1 during alpha comparison.

    Compare 0 AND compare 1
    Calculates AND.
    Compare 0 OR compare 1
    Calculates OR.
    Compare 0 XOR compare 1
    Calculates XOR.
    Compare 0 XNOR compare 1
    Calculates XNOR.

  4. Sets blend mode.

    None.
    Does no blend processing, and the pixel value is loaded into eFB without modification.
    Blend Calculations
    Blends based on the blend formula.
    Details on configuration are given in Blend Calculation Mode.
    Subtract from eFB
    Subtracts the frame buffer value from the pixel value and writes it to the frame buffer.
    Logic calculations
    Logically calculates the pixel value and the frame buffer value and writes it.
    Details on configuration are given in Logic Calculation Mode.

Blend Calculation Mode

Blend Calculation Mode

  1. Sets the coefficient that is multiplied by the pixel color.

    0
    Constant value 0.
    1
    Constant value 1.
    eFB color
    Frame buffer color.
    1-eFB color
    1-frame buffer color.
    Pixel alpha
    Pixel alpha.
    1-Pixel alpha
    1-Pixel alpha.
    eFB alpha
    Frame alpha color.
    1-eFB alpha
    1-frame buffer alpha.

  2. Sets the coefficient that is multiplied by the frame buffer color.

    0
    Constant value 0.
    1
    Constant value 1.
    Pixel color
    Pixel color.
    1-Pixel color
    1-Pixel color.
    Pixel alpha
    Pixel alpha.
    1-Pixel alpha
    1-Pixel alpha.
    eFB alpha
    Frame alpha color.
    1-eFB alpha
    1-frame buffer alpha.

Logic Calculation Mode

Logic Calculation Mode

  1. Sets the calculation method for logical calculations.

    0
    Calculation result=0.
    1
    Calculation result=1.
    Pixel color
    Calculation result=pixel color.
    ~Pixel color
    Calculation result=~pixel color.
    eFB color
    Calculation result=Frame buffer color.
    ~eFB color
    Calculation result=~Frame buffer color.
    Pixel color & eFB color
    Calculation result=Pixel color & frame buffer color.
    ~(Pixel color & eFB color)
    Calculation result=~(Pixel color & frame buffer color).
    Pixel color | eFB color
    Calculation result=Pixel color | frame buffer color.
    ~(Pixel color | eFB color)
    Calculation result=~(Pixel color | frame buffer color).
    Pixel color ^ eFB color
    Calculation result=Pixel color ^ frame buffer color.
    ~(Pixel color ^ eFB color)
    Calculation result=~(Pixel color ^ frame buffer color).
    Pixel color & ~eFB color
    Calculation result=Pixel color & ~frame buffer color.
    ~Pixel color & eFB color
    Calculation result=~Pixel color & frame buffer color.
    Pixel color | ~eFB color
    Calculation result=Pixel color | ~frame buffer color.
    ~Pixel color | eFB color
    Calculation result=~Pixel color | frame buffer color.


TEV Properties

Although there are no setting options that can be made on the TEV properties page itself, the following property options are located below it.

  • Swap Table
  • Color Register
  • Constant Register
  • Stage


TEV - Swap Table Properties

Use these properties to edit detailed TEV swap table settings.

TEV - Swap Table Properties

  1. Sets swap table 0.

    The following values can be selected from the following for each RGBA component:

    R
    Swaps to the R component.
    G
    Swaps to the G component.
    B
    Swaps to the B component.
    A
    Swaps to the A component.

    Click the button at right to reset the swap table defaults (no-swap setting).

  2. Sets swap table 1.

    The setting method is the same as that for swap table 0.

  3. Sets swap table 2.

    The setting method is the same as that for swap table 0.

  4. Sets swap table 3.

    The setting method is the same as that for swap table 0.


TEV - Color Register Properties

These properties are used to edit detailed TEV color register settings.

TEV - Color Register Properties

  1. Sets color register 0.

    Color is indicated on the left side of the button with RGB sliders and the alpha (from 0 to 255) on the right in a grayscale slider from black to white.

    Click the button to open the Color Picker and set each of the elements.

    Color information can be applied to the Color Sample Window using drag-and-drop operations.

  2. Sets color register 1.

    The setting method is the same as that for color register 0.

  3. Sets color register 2.

    The setting method is the same as that for color register 0.


TEV - Constant Register Properties

These properties are used to edit detailed TEV constant register settings.

TEV - Constant Register Properties

  1. Sets constant register 0.

    Color is indicated on the left side of the button with RGB sliders and the alpha (from 0 to 255) on the right in a grayscale slider from black to white.

    Click the button to open the Color Picker and set each of the elements.

    Apply color information to the Color Sample Window using drag-and-drop operations.

  2. Sets constant register 1.

    The setting method is the same as that for constant register 0.

  3. Sets constant register 2.

    The setting method is the same as that for constant register 0.

  4. Sets constant register 3.

    The setting method is the same as that for constant register 0.


TEV - Stage Properties

Use these properties to edit detailed TEV stage settings.

TEV stage settings are broadly classified into two categories: Stage Management and Settings and Indirect Stage Settings

TEV - Stage Management and Settings

Select the TEV stage to edit and make settings for the stage.

TEV - Stage Management and Settings

  1. Sets the number of stages to use.

  2. Selects the stage to be configured.

    Details specific to the selected stage are shown below when the stage to be configured is toggled.

  3. Configures the rasterized color (color channel) input used for the stage.

    Not used
    Rasterized color is not used.
    Diffuse Calculation Result
    Uses the diffuse calculation result.

  4. Sets the swap table to be applied to rasterized color input.

    The image displayed shows the settings for the selected swap table.

  5. Configures the texture input used for the stage.

    Not used
    No texture is used.
    Texture 0 (to 7)
    Uses texture 0 (to 7). The texture name is given in parentheses.

  6. Sets the swap table to be applied to texture input.

    The image displayed shows the settings for the selected swap table.

  7. Selects the color stage setting mode.

    Arithmetic expressions

    Calculates the color using an equation.

    Further details are provided in Settings with Equations.

    Compare mode

    Calculates the color using compare mode.

    Further details are given in Settings with the Compare Mode.

  8. Configures the constant color used in the color stages.

    Constant Register 0 RGB
    Constant Register 0 RGB component
    Constant Register 0 R
    Constant Register 0 R component
    Constant Register 0 G
    Constant Register 0 G component
    Constant Register 0 B
    Constant Register 0 B component
    Constant Register 0 A
    Constant Register 0 A component
    Constant Register 1 RGB
    Constant Register 1 RGB component
    Constant Register 1 R
    Constant Register 1 R component
    Constant Register 1 G
    Constant Register 1 G component
    Constant Register 1 B
    Constant Register 1 B component
    Constant Register 1 A
    Constant Register 1 A component
    Constant Register 2 RGB
    Constant Register 2 RGB component
    Constant Register 2 R
    Constant Register 2 R component
    Constant Register 2 G
    Constant Register 2 G component
    Constant Register 2 B
    Constant Register 2 B component
    Constant Register 2 A
    Constant Register 2 A component
    Constant Register 3 RGB
    Constant Register 3 RGB component
    Constant Register 3 R
    Constant Register 3 R component
    Constant Register 3 G
    Constant Register 3 G component
    Constant Register 3 B
    Constant Register 3 B component
    Constant Register 3 A
    Constant Register 3 A component
    1.000 (8/8)
    Constant value
    0.875 (7/8)
    Constant value
    0.750 (6/8)
    Constant value
    0.625 (5/8)
    Constant value
    0.500 (4/8)
    Constant value
    0.375 (3/8)
    Constant value
    0.250 (2/8)
    Constant value
    0.125 (1/8)
    Constant value

  9. Sets whether to clamp the calculation results to the range between 0 and 255.

  10. Sets the register where the calculation result will be output.

    Color Register 0
    Outputs to Color Register 0.
    Color Register 1
    Outputs to Color Register 1.
    Color Register 2
    Outputs to Color Register 2.
    Color Register 3
    Outputs to Color Register 3.

  11. Selects the alpha stage setting mode.

    Arithmetic expressions

    Calculates the alpha using an equation.

    Further details are provided in Settings with Equations.

    Compare mode

    Calculates the alpha using the compare mode.

    Further details are given in Settings with the Compare Mode.

  12. Configures the constant color used in the alpha stage.

    Constant Register 0 R
    Constant Register 0 R component
    Constant Register 0 G
    Constant Register 0 G component
    Constant Register 0 B
    Constant Register 0 B component
    Constant Register 0 A
    Constant Register 0 A component
    Constant Register 1 R
    Constant Register 1 R component
    Constant Register 1 G
    Constant Register 1 G component
    Constant Register 1 B
    Constant Register 1 B component
    Constant Register 1 A
    Constant Register 1 A component
    Constant Register 2 R
    Constant Register 2 R component
    Constant Register 2 G
    Constant Register 2 G component
    Constant Register 2 B
    Constant Register 2 B component
    Constant Register 2 A
    Constant Register 2 A component
    Constant Register 3 R
    Constant Register 3 R component
    Constant Register 3 G
    Constant Register 3 G component
    Constant Register 3 B
    Constant Register 3 B component
    Constant Register 3 A
    Constant Register 3 A component
    1.000 (8/8)
    Constant value
    0.875 (7/8)
    Constant value
    0.750 (6/8)
    Constant value
    0.625 (5/8)
    Constant value
    0.500 (4/8)
    Constant value
    0.375 (3/8)
    Constant value
    0.250 (2/8)
    Constant value
    0.125 (1/8)
    Constant value

  13. Sets whether to clamp the calculation results to the range between 0 and 255.

  14. Sets the register where the calculation result will be output.

    Color Register 0
    Outputs to Color Register 0.
    Color Register 1
    Outputs to Color Register 1.
    Color Register 2
    Outputs to Color Register 2.
    Color Register 3
    Outputs to Color Register 3.

Setting by Arithmetic Expressions

Setting by Arithmetic Expressions

  1. Sets the input arguments ABCD.

    Selectable items will vary for the Color and Alpha stages.

    Color Stage Choices
    Item | Description
    RAS C | Rasterized color RGB component
    RAS A | Rasterized color A component
    TEX C | Texture RGB component
    TEX A | Texture A component
    CREG0 C | Color Register 0 RGB component
    CREG0 A | Color Register 0 A component
    CREG1 C | Color Register 1 RGB component
    CREG1 A | Color Register 1 A component
    CREG2 C | Color Register 2 RGB component
    CREG2 A | Color Register 2 A component
    CREG3 C | Color Register 3 RGB component
    CREG3 A | Color Register 3 A component
    KONST | Value selected using KONST
    1.0 | Constant value
    0.5 | Constant value
    0.0 | Constant value
    Alpha Stage Choices
    Item | Description
    RAS A | Rasterized color A component
    TEX A | Texture A component
    CREG0 A | Color Register 0 A component
    CREG1 A | Color Register 1 A component
    CREG2 A | Color Register 2 A component
    CREG3 A | Color Register 3 A component
    KONST | Value selected using KONST
    0.0 | Constant value

  2. Sets the operator.

    +
    Performs addition.
    -
    Performs subtraction.

  3. Sets the bias value.

    -0.5
    A -0.5 (-128) bias
    +0.0
    No bias
    +0.5
    A +0.5 (+128) bias

  4. Sets the scale value.

    0.5
    Multiplies by 0.5.
    1.0
    No scaling.
    2.0
    Multiplies by 2.
    4.0
    Multiplies by 4.

Setting by the Compare Mode

Setting by the Compare Mode

  1. Sets the input arguments ABCD.

    Selectable items will vary for the Color and Alpha stages.

    Color Stage Choices
    Item | Description
    RAS C | Rasterized color RGB component
    RAS A | Rasterized color A component
    TEX C | Texture RGB component
    TEX A | Texture A component
    CREG0 C | Color Register 0 RGB component
    CREG0 A | Color Register 0 A component
    CREG1 C | Color Register 1 RGB component
    CREG1 A | Color Register 1 A component
    CREG2 C | Color Register 2 RGB component
    CREG2 A | Color Register 2 A component
    CREG3 C | Color Register 3 RGB component
    CREG3 A | Color Register 3 A component
    KONST | Value selected using KONST
    1.0 | Constant value
    0.5 | Constant value
    0.0 | Constant value
    Alpha Stage Choices
    Item | Description
    RAS A | Rasterized color A component
    TEX A | Texture A component
    CREG0 A | Color Register 0 A component
    CREG1 A | Color Register 1 A component
    CREG2 A | Color Register 2 A component
    CREG3 A | Color Register 3 A component
    KONST | Value selected using KONST
    0.0 | Constant value

  2. Sets the comparison component for input arguments A and B.

    Selectable items will vary for the Color and Alpha stages.

    Color Stage Choices
    Item | Description
    Lower 8-bit value (R8) | Compares the R8 bits.
    Lower 16-bit value (GR16) | Compares the GR16 bits.
    Lower 24-bit value (BGR24) | Compares the BGR24 bits.
    Individual 8-bit chunks from the low-order end (RGB8) | Compares the 8-bit R,G and B components individually.
    Alpha Stage Choices
    Item | Description
    Lower 8-bit value (R8) | Compares the R8 bits.
    Lower 16-bit value (GR16) | Compares the GR16 bits.
    Lower 24-bit value (BGR24) | Compares the BGR24 bits.
    Upper 8-bit value (A8) | Compares the 8-bit A component.

  3. Sets the comparison method.

    Outputs D+C when A=B, otherwise outputs C.
    Compares the equivalence of input arguments A and B.
    Outputs D+C when A>B, otherwise outputs C.
    Compares the relative size of input arguments A and B.

TEV - Indirect Stage Settings

Make indirect stage settings.

TEV - Indirect Stage Settings

  1. Selects the indirect stage to be used.

  2. Restores indirect stage settings to direct settings.

  3. Selects coordinate values used for MipMap LOD.

    TRUE
    Use texture coordinates after change.
    FALSE
    Use texture coordinates before change.

  4. Selects texture coordinate wrapping for regular textures.

    ITW_OFF
    No wrap.
    ITW_256
    Wrap at 256.
    ITW_128
    Wrap at 128.
    ITW_64
    Wrap at 64.
    ITW_32
    Wrap at 32.
    ITW_16
    Wrap at 16.
    ITW_0
    Set all output coordinates to zero.

  5. Select the input format for the indirect texture.

    ITF_8
    Use all 8 bits for the offset and the upper 5 bits for the bump alpha.
    ITF_5
    Use the lower 5 bits for the offset and the upper 3 bits for the bump alpha.
    ITF_4
    Use the lower 4 bits for the offset and the upper 4 bits for the bump alpha.
    ITF_3
    Use the lower 3 bits for the offset and the upper 5 bits for the bump alpha.

  6. Select the range to apply bias for the indirect offset.

    ITB_NONE
    No bias applied to any elements.
    ITB_S
    Apply bias only to the S element.
    ITB_T
    Apply bias only to the T element.
    ITB_U
    Apply bias only to the U element.
    ITB_ST
    Apply bias to the S and T elements.
    ITB_SU
    Apply bias to the S and U elements.
    ITB_TU
    Apply bias to the T and U elements.
    ITB_STU
    Apply bias to all S, T, and U elements.

  7. Select the scale value and matrix to multiply by the indirect offset.

    Settings for Indirect Matrices 0 through 2 and matrix scale values 0 through 2 are set using the Indirect Matrix.

    ITM_OFF
    Use zero matrix.
    ITM_0
    Use Indirect Matrix 0 and matrix scale value 0.
    ITM_1
    Use Indirect Matrix 1 and matrix scale value 1.
    ITM_2
    Use Indirect Matrix 2 and matrix scale value 2.
    ITM_S0
    Use dynamic S matrix and matrix scale value 0.
    ITM_S1
    Use dynamic S matrix and matrix scale value 1.
    ITM_S2
    Use dynamic S matrix and matrix scale value 2.
    ITM_T0
    Use dynamic T matrix and matrix scale value 0.
    ITM_T1
    Use dynamic T matrix and matrix scale value 1.
    ITM_T2
    Use dynamic T matrix and matrix scale value 2.

  8. Select whether to add calculation results for the texture coordinates of the previous stage.

    TRUE
    Add results from previous stage.
    FALSE
    Do not add results from previous stage.

  9. Bump alpha settings cannot be made.


Indirect Matrix Properties

These properties are used to edit detailed indirect matrix settings.

Indirect Matrix Properties

  1. Selects the indirect matrix to be set.

    Details specific to the selected indirect matrix are shown below when the indirect matrix to be configured is switched to.

  2. Sets the SRT conversion matrix for the indirect matrix.

    ScaleU, ScaleV
    Sets the Scale component for the SRT conversion matrix.
    Link changes
    Changes are linked between Scale V and Scale U.
    Rotate
    Sets the Rotate component for the SRT conversion matrix.
    TranslateU, TranslateV
    Sets the Translate component for the SRT conversion matrix.
    Reset
    Restores the SRT conversion matrix to its initial state.


Indirect Stage Properties

Use these properties to edit detailed indirect stage settings.

Indirect Stage Properties

  1. Sets the number of stages to use.

  2. Selects the indirect stage to be set.

    Details specific to the selected indirect stage are shown below when the stage to be configured is switched to.

  3. Sets the texture to be used as indirect stage input.

  4. Selects the texture image to be used for input.

    Not used
    Do not use a texture for input.
    Texture 0 (to 7)
    Uses texture 0 (to 7). The texture name is given in parentheses.

  5. Selects the texture coordinate to be used for input.

    UV mapping (Use UV coordinate 0) (to UV coordinate 7)
    Use UV Mapping 0 (to 7) for the texture coordinate.

  6. Sets the scaling for the S coordinate of texture coordinates.

    Be sure to set scaling when the texture to be used as input for the indirect stage is smaller than a regular texture.

    GX_ITS_1
    No scaling
    GX_ITS_2
    1/2
    GX_ITS_4
    1/4
    GX_ITS_8
    1/8
    GX_ITS_16
    1/16
    GX_ITS_32
    1/32
    GX_ITS_64
    1/64
    GX_ITS_128
    1/128
    GX_ITS_256
    1/256

  7. Sets the scaling for the T coordinate of texture coordinates.

    Be sure to set scaling when the texture to be used as input for the indirect stage is smaller than a regular texture.

    GX_ITT_1
    No scaling
    GX_ITT_2
    1/2
    GX_ITT_4
    1/4
    GX_ITT_8
    1/8
    GX_ITT_16
    1/16
    GX_ITT_32
    1/32
    GX_ITT_64
    1/64
    GX_ITT_128
    1/128
    GX_ITT_256
    1/256


Pane Properties

Panes have the following property items.

  • Basic Pane Information
  • Picture Pane Information
  • Text Box Pane Information
  • Window Pane Information

The relationship between the type of pane and the information displayed for it is given below.

 | Null pane | Picture pane | Text box pane | Window pane | Boundary condition pane
Basic Pane Information | O | O | O | O | O
Picture Pane Information | X | O | X | X | X
Text Box Pane Information | X | X | O | X | X
Window Pane Information | X | X | X | O | X


Basic Pane Information

Edits details regarding basic pane information.

Basic Pane Information

  1. Enter the name of the pane.

  2. Enter a comment.

  3. Enter user information.

  4. Enter the display position of the pane.

  5. Enter the size of the pane.

  6. Enter the display scale of the pane.

  7. Enter the rotation of the pane.

  8. Enter the transparency of the pane.

  9. Center of the pane.

    The pane center indicates what position on the pane the pane's display position coordinates are set to. If centered in both the horizontal and vertical directions, the pane is displayed so that its center aligns with the display position coordinates of the pane.

    The pane center is used as the origin when processing pane rotation, scaling, or other transformations.

  10. Configures the pane's Display/Hide setting.

  11. Sets whether the effect of the transparency setting for this pane propagates to the transparency of child panes.

  12. Sets whether to specify the pane as a target of position adjustment processing.

    This is used in cases such as when creating layout data for wide screens.


Picture Pane Information

Edits details regarding picture pane information.

Picture Pane Information

  1. Sets the vertex color for the four corners of the pane (upper left, upper right, lower left, and lower right).

    Color is indicated on the left side of the button with RGB sliders and the alpha (from 0 to 255) on the right in a grayscale slider from black to white.

    Press the button to display the Color Picker and set each of the elements for vertex color.

    Apply color information to the Color Sample Window using drag-and-drop operations.

  2. Enter the number of texture coordinates.

    When using more than one texture, enter a value according to the number of textures having different texture coordinates.

  3. Selects the texture coordinates to be edited.

    The contents of the selected texture coordinates are set to the coordinate input controls below.

  4. Enter the texture coordinates for the four corners (upper left, upper right, lower left, and lower right).

    Texture coordinates entered can be manipulated using the three buttons below the texture coordinates.

    Reverse horizontally
    Change the current texture coordinate values to values reversed horizontally (reversed right-to-left).
    Reverse vertically
    Change the current texture coordinate values to values reversed vertically (reversed top-to-bottom).
    Rotate 90 degrees clockwise
    Change the current texture coordinate values to values rotated 90 degrees clockwise.

  5. Sets whether to make detailed material settings.

    When making detailed material settings, a dialog box for confirming whether to enable automatic TEV calculations is displayed.

    Automatic TEV Calculation Setting Dialog Box


Text Box Pane Information

Used to edit detailed textbox pane information.

Text Box Pane Information

  1. Sets the font data to be used for the text display.

    It is also possible to select from any font data that has been loaded into the layout at least once.

  2. Opens the file selection dialog box to select the font data file to be used to display text.

  3. Enter the text to be displayed.

  4. Adjusts the pane size according to the current display character settings.

  5. Sets the size of text to be displayed as an absolute value or specifying a scale.

    Absolute values and scaling values are linked to change in unison. If the absolute value has changed, the scale is updated, and if the scale has changed the absolute value is updated.

  6. Sets the spacing between characters to be displayed.

    (Where X is the space between characters horizontally, and Y is the space between characters vertically.) Text size remains unchanged when 0 is set. If a negative value has been set, drawing of the next character will overlap the previous character.

  7. Sets the position to use as the basis for displaying text.

    The position of a string in the pane is specified by H Direction and V Direction.

    Line Alignment specifies the position of each new line in a multi-line string.
    The value of H Direction will be used for Line Alignment if you select Not Specified.

    This feature uses the new file format version. For this reason, the feature cannot be used for icon and banner data.

  8. Sets the text display color (upper and lower).

    When a different color is set for the upper and lower parts, text is displayed using gradation.

    Color is indicated on the left side of the button with RGB sliders and the alpha (from 0 to 255) on the right in a grayscale slider from black to white.

    Pressing the button displays the Color Picker, thus allowing each element for the display color to be set.

    Apply color information to the Color Sample Window using drag-and-drop operations.

  9. Forcibly sets the maximum length of a text string to be displayed in the textbox.

    Specified String Length
    If this check box is selected, the length of the text string to be displayed is limited to this value even if a longer text string than this value has been input.


Window Pane Information

Edits details regarding window pane information.

Window Pane Information

  1. Selects the area to be edited.

    Although selected from the contents area and frame area, the number of areas that can be selected varies depending on the frame setting (described below) for the frame area.

    The same operation can also be performed by clicking the editable portion of the selected pane in the layout window.

  2. Sets whether to make detailed material settings.

    When making detailed material settings, a dialog box for confirming whether to enable automatic TEV calculations is displayed.

    Automatic TEV Calculation Setting Dialog Box

  3. This setting is enabled when the frame area is to be edited.

    Textures used to render the frame can be displayed in reverse or rotated. This setting is used, although the same texture is used for corners located on the diagonals of the frame, when these textures must be rotated or reversed when displayed.

  4. Specifies the number of textures to use for the frame.

    One texture (the same texture is specified for the four corners)
    The four corners of the frame are displayed using the same texture. The texture in the upper left is reversed left-to-right to display the upper-right corner, reversed top-to-bottom to display the lower-left corner, and rotated 180 degrees to display the lower-right corner. For the sides of the frame, one line from the right end of the texture is used for the top and bottom side, while one line from the bottom of the texture is used for the right and left side.
    Four textures (the four corners are specified individually)
    A separate texture is used to display each of the four corners of the frame. For the sides of the frame, the top side is displayed using one line from the right of the texture in the upper-left corner, the bottom side is displayed using one line from the left of the texture in the lower-right corner, the right side is displayed using one line from the bottom of the texture in the upper-left corner, and the left side is displayed using one line from the top of the texture in the lower-left corner.
    8 textures (the four corners and four sides are specified)
    A separate texture is used to display each of the four corners and sides of the frame.

  5. Copies the material setting for the upper-left corner portion of the frame to the material in another part of the frame.

  6. The number of UV coordinates to be used when displaying textures is shown in the contents area.

  7. Specifies the UV coordinates to be edited.

    The number of selections varies depending on the number of UV coordinates.

    Enter the texture coordinates for the selected UV coordinate.

    Texture coordinates entered can be manipulated using the three buttons below the texture coordinates.

    Reverse horizontally
    Change the current texture coordinate values to values reversed horizontally (reversed right-to-left).
    Reverse vertically
    Change the current texture coordinate values to values reversed vertically (reversed top-to-bottom).
    Rotate 90 degrees clockwise
    Change the current texture coordinate values to values rotated 90 degrees clockwise.

  8. Sets the vertex color for the four corners of the contents area.

    Color is indicated on the left side of the button with RGB sliders and the alpha (from 0 to 255) on the right in a grayscale slider from black to white.

    Click the button to display the Color Picker and set each of the elements for vertex color.

    Apply color information to the Color Sample Window using drag-and-drop operations.

  9. Sets how much to enlarge the area versus the size assigned as the contents area.

    The area is enlarged when a positive value is specified and reduced when a negative value is specified.

    Top, Bottom, Left, Right
    Sets how much to enlarge the area in each direction.
    Synchronize top and bottom
    Links changes in values set for the top and bottom.
    Synchronize left and right
    Links changes in values set for the left and right.


Extended User Data

Edits extended user data.

This feature uses the new file format version.
For this reason, this feature cannot be used in icon banner data.

Extended User Data

  1. Configures whether to use hexadecimal notation for integral user data in the user data list.

  2. Changes the order of selected user data in the user data list.

  3. Registers extended user data. If clicked, the registration dialog box is displayed.

    Automatic TEV Calculation Setting Dialog Box

    1. Enters the name of the extended data.
    2. Configures the extended data type.
    3. Enters the extended data. Enter one value per line when entering data in an array format.
    4. Confirms the input and registers the extended user data.
    5. Cancels data entry.

  4. Deletes the user data selected in the user data list.

  5. Edits the user data selected in the user data list. An editing dialog box is displayed.

  6. User data list. Displays extended user data in a list.


Dialog Box

  • Binary Output
  • Layout Settings
  • Environment Settings
  • Color Picker
  • Pane Group Edit


Binary File Output Dialog Box

This dialog is used to export binary layout files.

Binary File Output Dialog Box

  1. Specify the directory in which to export the binary layout file.

  2. Specify the filename of the binary layout file.

  3. Select whether to create an export directory having the name of the layout.

  4. Select whether to use fixed values when exporting values for parts of the animation curve where keys have not been created.

    When this option is specified, LayoutEditor will convert and export automatically generated curves in the key frame format that can be processed by the Wii console library.

    This option must be specified whenever applying changes to Wii console data for curves that are automatically generated in the area outside the key frame segment.
    You can select a method for performing fixed processing that uses the tool or the converter. (Click here for details.)

  5. Determine escape strings from the string information in the text box pane, and then select whether to convert it to a particular control code.

  6. Select whether to export the animation by splitting it up using tag information attached to the animation segment.

  7. Select the export file type when tag information is not used.

  8. Start the export of the binary layout files.


Layout Environment Settings Dialog Box

Makes environment settings for the Layout window.

Layout Environment Settings Dialog Box

  1. Sets the Layout window background.

    On-screen color
    Specifies the background color of the Layout window. The background color can be specified using the Color Picker Dialog Box.
    Display image

    Displays an image for the background of the Layout window. Only regular TGA files can be displayed.

    Actual game screens can be made into images and layouts by converting design screens or screenshots of game screens into TGA files and displaying them in the background.

  2. Makes settings regarding the drawing of grid lines.

    Draw
    Specifies whether to draw grid lines.
    On-screen color
    Specifies the grid line color. The grid line color can be specified using the Color Picker Dialog Box.
    Grid size
    Specifies the size of the grid.
    Number of divisions
    Specifies the divisions of the grid.

  3. Makes settings regarding the layout size.

    Width and height
    Specifies the width and height of screen display area of the layout.
    Aspect Ratio
    Limit the aspect ratio of the screen display area of the layout.


Tool Environment Settings Dialog Box

Sets the environment for tools.

Tool Environment Settings Dialog Box

  1. Configures settings for the safe frame.

    Draw
    Specifies whether to draw the safe frame guide indicating the region outside the safe frame.
    Frame color
    Specifies the color for drawing the safe frame guide. The color can be specified using the Color Picker Dialog Box.
    Top side, left side, right side, bottom side
    Specifies the width of the four sides of the safe frame guide.

  2. Configures settings for preview operations.

    Previews using a fixed curve outside the key region
    Specifies whether to use fixed values to display segments of the animation curve for which keys have not been created.
    Displays hidden panes as null panes

    Specifies whether to display hidden panes during preview with the Viewer.

    If selected, hidden panes are treated as null panes in the Viewer, and only borders are displayed.

    Converts the escape characters in the text box to control code

    Determine escape strings from the string information that the text box pane holds, and then select whether to convert it to particular control code.

  3. Configures the rendering mode.


Color Picker Dialog Box

Dialog box for editing colors.

Color Picker Dialog Box

  1. Indicates the current color.
  2. Saves the current color in the color palette selection region.
    The alpha component is not stored.
  3. Clicking sets the color in the color palette to the current color.
    Right-clicking changes the color palette selection region.
  4. Changes the color's hue (Hue).
  5. Changes the color's saturation (Saturation) and brightness (Value).
  6. Changes each RGB component and the alpha component of the color.


Pane Edit Group Dialog Box

Edits the pane group settings.

Pane Edit Group Dialog Box

  1. Specify the pane that is the target for setting groups. The selected pane is displayed in the list.

  2. Specify the group information for the target pane.
    This will be registered with the groups that are checked. Registration is deleted from the groups that are unchecked.


Shortcut Keys

Key | Menus | Operation
CTRL+N | File > Create New > Layout | Creates a new layout.
CTRL+O | File > Open > All | Opens the file.
CTRL+S | File > Save > All | Saves all files.
CTRL+SHIFT+S | File > Save as > All | Saves all files.
ALT+F4, CTRL+Q | File > Close, File > Exit | Exits the application.
CTRL+Z | Edit > Cancel | Restores to a pre-edited state.
CTRL+SHIFT+Z | Edit > Redo | Redoes the edit.
CTRL+X | Edit > Cut | Cuts the selected pane.
CTRL+C | Edit > Copy | Copies the selected pane.
CTRL+V | Edit > Paste | Pastes the cut or copied pane.
Delete, BACKSPACE | Edit > Delete | Deletes the selected pane.
SHIFT+F2 | Object > Apply movement of parent to children | Links the movement of child panes to the movement of their parent pane.
CTRL+SHIFT+G | Object > Create group | Creates a group from the selected panes.
CTRL+G | Object > Edit group | Edit the group settings of the selected pane.
CTRL+2 | Object > Lock selected panes | Locks the selected panes.
ALT+CTRL+2 | Object > Release all locks | Releases locked status for all panes.
CTRL+3 | Object > Hide selected panes | Hides the selected panes.
ALT+CTRL+2 | Object > Display all hidden panes | Displays all hidden panes.
CTRL+P | Object > Properties | Opens the Property window.
CTRL+A | Select > Select all | Selects all panes.
CTRL+SHIFT+A | Select > Cancel selection | Unselect panes.
CTRL+SHIFT+] | Select > Select one forward | Selects the pane that is one in front of this pane.
CTRL+SHIFT+[ | Select > Select one backward | Selects the pane that is one behind this pane.
F7 | View > Sub-window > Curve editor | Displays the Curve Editor.
F8 | View > Sub-window > Textures | Displays the texture management window.
F9 | View > Sub-window > Groups | Displays the group management window.
F10 | View > Sub-window > Parent-child hierarchy | Displays the parent-child hierarchy management window.
F11 | View > Sub-window > Pane information paste control | Displays the Pane Information Paste Control window.
F12 | View > Sub-window > Edit animation segment tags | Displays a window for editing animation segment tags.
CTRL+F | View > Sub-window > Pane Search | Displays the pane search window.
CTRL+SHIFT+P | View > Sub-window > All property windows | Displays all property windows.
F6 | View > Hide sub-windows | Toggles between showing and hiding all tool windows.
CTRL+Y | View > Show outline | Displays pane outlines.
CTRL+SHIFT+H | View > Display pane boundary lines | Displays pane boundary lines.
CTRL+PLUS SIGN | View > Zoom in | Increases the display zoom ratio.
CTRL+MINUS SIGN | View > Zoom out | Decreases the display zoom ratio.
CTRL+SHIFT+PLUS SIGN | View > Enlarge Window | Enlarges the layout window.
CTRL+SHIFT+MINUS SIGN | View > Reduce Window | Reduces the layout window.
A | View > View all | Restores the display zoom ratio to 100% and changes the size of the Layout window so that the entire layout is displayed.
F | View > View entire selection | Changes the display zoom ratio so that selected panes are entirely displayed in the window.
CTRL+H | View > Show grid | Displays a grid.
CTRL+SHIFT+: | View > Snap to grid | Makes the pane snap to the grid.
F5 | Tools > Transfer to Viewer | Previews data using the Viewer.
F1 | Help > Help | Displays help.


NW4R LayoutEditor Terminology

NintendoWare for Revolution

LayoutEditor Terminology

This glossary defines terms and describes configurations commonly used with LayoutEditor in alphabetical order.

For details on Wii graphics features, see the Wii developer documentation.

Index

  • Bounding Pane (Boundary Condition Pane)
  • brfnt
  • brlan
  • brlyt
  • Coordinate System
  • Indirect Texture
  • Interpolate Color
  • Layout Binary Converter
  • LayoutEditor
  • LayoutLib (Layout Library)
  • Material Color Animation
  • Multiple Texture
  • Null Pane
  • Palette Format
  • Pane SRT Animation
  • Photoshop Plug-in
  • Picture Pane
  • rlan
  • rlyt
  • Safety Frame
  • Text Box Pane
  • Texture Format
  • Texture Pattern Animation
  • Texture SRT Animation
  • TGA File with Additional Information
  • NW4R TGA
  • Vertex Color Animation
  • Viewer
  • Visibility Animation
  • Window Pane

Bounding Pane (Boundary Condition Pane)

This pane is used for performing "hit" checks. Although it has position and shape information, it is not actually displayed.

This is used to determine whether the cursor is located within a specified area.

brfnt

These files contain font data converted into binary data.

This is used as the display font for text box panes.

The file extension is brfnt (Binary Revolution FoNT).

These files are generated by Font Converter (nw4r_fntcvtr.exe or nw4r_fntcvtrc.exe).

For details, see the Font Converter manual.

brlan

These files contain animation curves converted into binary data.

Regardless of the animation type, the file extension is brlan (Binary Revolution Layout ANimation).

These files are generated by LayoutEditor (LayoutEditor.exe) or LayoutConverter (nw4r_lytcvtr.exe).

brlyt

These files contain layout data converted into binary data.

The file extension is brlyt (Binary Revolution LaYouT).

These files are generated by LayoutEditor (LayoutEditor.exe) or LayoutConverter (nw4r_lytcvtr.exe).

Coordinate System

Manages data in a coordinate system in which the positive x-axis direction is to the right, the positive y-axis direction is up, and the positive z-axis direction is into the screen.

Indirect Texture

Rather than just apply a texture pattern as is, you can use indirect textures to create expressions, such as indirectly sliding and distorting base textures—one of the Wii's unique abilities.

You can produce various effects by manipulating the indirect texture matrix and combining it with texture SRT animation.

Indirect texture settings are made using LayoutEditor.

Interpolate Color

This feature specifies the lowest and highest intensity color when applying colors to an image having only intensity and essentially no RGB component.

This feature is used when creating expressions such as tinting the entire screen blue. This is done by using LayoutEditor to set the interpolation color for white and black, then set the blue component for black color interpolation (whether or not the image is an intensity-only image) or darken the image by setting white color interpolation to gray.

Layout Binary Converter

This converter is used to convert layout data files to binary files.

The name of the executable file is nw4r_lytcvtr.exe. This may appear in documentation as either nw4r_lytcvtr or lytcvtr.

For details, see the Layout Binary Converter manual.

LayoutEditor

LayoutEditor is a GUI application for editing layouts and displaying layouts and animations through communication with the Viewer.

LayoutLib (Layout Library)

The Layout library was created to make the layout of text boxes and similar items simple and efficient.

Layouts are displayed and animations played back using layout binary files converted from layout data files.

Since the Viewer uses the Layout library to display layouts, expressions, and movements displayed in the Viewer can be reproduced as is within games.

Material Color Animation

A material color animation is an animation in which the material color is made to change.

This type of animation includes the animation of monochrome interpolation colors.

Multiple Texture

This indicates that two or more textures have been applied to a polygon. These are also called multilayer textures.

With the Wii, up to eight textures can be applied at once. When a different UV value is specified for each separate texture, it is called a "multi-UV texture."

Multi-textures are set using LayoutEditor.

Null Pane

The null pane is used as the basis for all panes. Although it has position and shape information, it is not actually displayed.

This type of pane is used when doing things like setting parent-child relationships for multiple panes with the null pane as the parent, moving all panes together, or controlling whether the display is on or off.

Palette Format

It is possible to use any of the following three palette formats with the Wii.

IA8 | 8-bit intensity + 8-bit alpha (16 bits/texel)
RGB565 | 16-bit RGB (R5+G6+B5).
RGB5A3 | RGB555 format (opaque) or RGBA4443 format (translucent)

The palette format is specified when saving TGA files with additional information attached using the file format plug-in for Photoshop.

Pane SRT Animation

A pane SRT animation is an animation in which the pane's SRT (Scale, Rotate, and Translate) array and size are made to change.

Scale corresponds to scaling, Rotate to rotation, and Translate to the display position.

Photoshop Plug-in

This is a plug-in for Photoshop provided by NintendoWare.

Picture Pane

Picture panes are used to display images (textures).

rlan

Rlan files are used by LayoutEditor to save animation curves.

Regardless of the animation type, the file extension is rlan (standing for Revolution Layout ANimation).

rlyt

Rlyt files are used by LayoutEditor to save layout data.

The file extension is rlyt (Revolution LaYouT).

Safety Frame

The Safety Frame is the area in which the image can be properly displayed on nearly all televisions. Images usually take up about 80% of the screen area.

Information that is important to the game must be displayed within the range of the Safety Frame.

For detailed information on the Safety Frame, see the separate Safety Frame Guidelines document.

LayoutEditor allows you to set whether to show the area outside the safety frame using the Tool Environment Setup Dialog.

Text Box Pane

Text box panes are used to display text.

Texture Format

It is possible to use any of the following eleven texture formats with the Wii.

I4 | 4-bit Intensity
IA4 | 4-bit intensity + 4-bit alpha (8 bits/texel)
I8 | 8-bit Intensity
IA8 | 8-bit intensity + 8-bit alpha (16 bits/texel)
RGB565 | 16-bit RGB (R5+G6+B5).
RGB5A3 | RGB555 format (opaque) or RGBA4443 format (translucent)
RGBA8 | 32-bit full color RGBA (8 bits per channel)
Compression | Compressed format (4 bits/texel).
C4 | 4-bit color index
C8 | 8-bit color index
C14 | 14-bit color index

The texture format is specified when using the Photoshop plug-in to save TGA files with attached additional information.

Texture SRT Animation

A texture SRT animation is an animation in which the SRT (Scale, Rotate, and Translate) matrix of the texture displayed in the pane is made to change.

This type of animation can be used to scroll and/or rotate textures by changing the SRT matrix.

Texture Pattern Animation

This type of animation swaps the textures being displayed for panes.

TGA File with Additional Information

This is a TGA file with special information added for NintendoWare.

Although additional information is attached, these files can be used just like conventional TGA files.

TGA files with additional information are created and edited using the Photoshop plug-in.

NW4R TGA

This is another name for a TGA file with additional information.

Vertex Color Animation

A vertex color animation is an animation in which the vertex colors of the four corners of a pane are made to change.

Viewer

The Viewer displays layouts and animations on the Wii console.

By communicating with LayoutEditor, the Viewer can be used to confirm changes made under LayoutEditor in real time.

Visibility Animation

Visibility animation turns the display of panes on and off.

Window Pane

Window panes are used to display windows.


Trademarks

Microsoft, Windows, and DirectX are registered trademarks or trademarks of Microsoft Corporation in the U.S. and other countries.

Photoshop is a registered trademark of Adobe Systems Incorporated (Adobe Systems Inc.).

Other company names, product names, etc., are registered trademarks or trademarks of their respective companies.